import audit-3.0.5-3.el9_b
This commit is contained in:
commit
097d16ca7e
1
.audit.metadata
Normal file
1
.audit.metadata
Normal file
@ -0,0 +1 @@
|
|||||||
|
b109c5bfae1ea3641523f693ce54a4746ba5a034 SOURCES/audit-3.0.5.tar.gz
|
1
.gitignore
vendored
Normal file
1
.gitignore
vendored
Normal file
@ -0,0 +1 @@
|
|||||||
|
SOURCES/audit-3.0.5.tar.gz
|
217
SOURCES/0001-Add-ausysrulevalidate.patch
Normal file
217
SOURCES/0001-Add-ausysrulevalidate.patch
Normal file
@ -0,0 +1,217 @@
|
|||||||
|
From 4011007b445e8f8da9b0cc45eccd793b94f6b5ce Mon Sep 17 00:00:00 2001
|
||||||
|
From: Sergio Correia <scorreia@redhat.com>
|
||||||
|
Date: Thu, 29 Jul 2021 19:25:43 -0300
|
||||||
|
Subject: [PATCH] Add ausysrulevalidate
|
||||||
|
|
||||||
|
---
|
||||||
|
contrib/ausysrulevalidate | 198 ++++++++++++++++++++++++++++++++++++++
|
||||||
|
1 file changed, 198 insertions(+)
|
||||||
|
create mode 100755 contrib/ausysrulevalidate
|
||||||
|
|
||||||
|
diff --git a/contrib/ausysrulevalidate b/contrib/ausysrulevalidate
|
||||||
|
new file mode 100755
|
||||||
|
index 0000000..a251b2c
|
||||||
|
--- /dev/null
|
||||||
|
+++ b/contrib/ausysrulevalidate
|
||||||
|
@@ -0,0 +1,198 @@
|
||||||
|
+#!/usr/bin/env python3
|
||||||
|
+# -*- coding: utf-8 -*-
|
||||||
|
+
|
||||||
|
+# ausysrulevalidate - A program that lets you validate the syscalls
|
||||||
|
+# in audit rules.
|
||||||
|
+# Copyright (c) 2021 Red Hat Inc., Durham, North Carolina.
|
||||||
|
+# All Rights Reserved.
|
||||||
|
+#
|
||||||
|
+# This software may be freely redistributed and/or modified under the
|
||||||
|
+# terms of the GNU General Public License as published by the Free
|
||||||
|
+# Software Foundation; either version 2, or (at your option) any
|
||||||
|
+# later version.
|
||||||
|
+#
|
||||||
|
+# This program is distributed in the hope that it will be useful,
|
||||||
|
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
|
||||||
|
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
|
||||||
|
+# GNU General Public License for more details.
|
||||||
|
+#
|
||||||
|
+# You should have received a copy of the GNU General Public License
|
||||||
|
+# along with this program; see the file COPYING. If not, write to the
|
||||||
|
+# Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor
|
||||||
|
+# Boston, MA 02110-1335, USA.
|
||||||
|
+#
|
||||||
|
+# Authors:
|
||||||
|
+# Sergio Correia <scorreia@redhat.com>
|
||||||
|
+
|
||||||
|
+""" This program lets you validate syscalls in audit rules. """
|
||||||
|
+
|
||||||
|
+import argparse
|
||||||
|
+import os.path
|
||||||
|
+import sys
|
||||||
|
+
|
||||||
|
+import audit
|
||||||
|
+
|
||||||
|
+
|
||||||
|
+class AuSyscallRuleValidate:
|
||||||
|
+ """AuSyscallRuleValidate validates syscalls in audit rules."""
|
||||||
|
+
|
||||||
|
+ def __init__(self):
|
||||||
|
+ self.syscalls_table = {}
|
||||||
|
+ self.invalid_syscalls = {}
|
||||||
|
+ self.machines = {
|
||||||
|
+ "b32": audit.audit_determine_machine("b32"),
|
||||||
|
+ "b64": audit.audit_determine_machine("b64"),
|
||||||
|
+ }
|
||||||
|
+
|
||||||
|
+ if self.machines["b32"] == -1 or self.machines["b64"] == -1:
|
||||||
|
+ sys.stderr.write("ERROR: Unable to determine machine type\n")
|
||||||
|
+ sys.exit(1)
|
||||||
|
+
|
||||||
|
+ def validate_syscall(self, arch, syscall):
|
||||||
|
+ """Validates a single syscall."""
|
||||||
|
+
|
||||||
|
+ if syscall == "all":
|
||||||
|
+ return True
|
||||||
|
+
|
||||||
|
+ lookup = "{0}:{1}".format(arch, syscall)
|
||||||
|
+ if lookup in self.syscalls_table:
|
||||||
|
+ return self.syscalls_table[lookup]
|
||||||
|
+
|
||||||
|
+ ret = audit.audit_name_to_syscall(syscall, self.machines[arch])
|
||||||
|
+ self.syscalls_table[lookup] = ret != -1
|
||||||
|
+ if not self.syscalls_table[lookup]:
|
||||||
|
+ self.invalid_syscalls[lookup] = lookup
|
||||||
|
+
|
||||||
|
+ return self.syscalls_table[lookup]
|
||||||
|
+
|
||||||
|
+ def process_syscalls(self, arch, syscalls):
|
||||||
|
+ """Processes a group of syscalls, validating them individually."""
|
||||||
|
+
|
||||||
|
+ scalls = syscalls.split(",")
|
||||||
|
+ processed = []
|
||||||
|
+ for syscall in scalls:
|
||||||
|
+ if self.validate_syscall(arch, syscall):
|
||||||
|
+ processed.append(syscall)
|
||||||
|
+ return ",".join(processed)
|
||||||
|
+
|
||||||
|
+ def parse_line(self, line):
|
||||||
|
+ """Processes a single line from the audit rules file, and returns the
|
||||||
|
+ same line adjusted, if required, by removing invalid syscalls, or even
|
||||||
|
+ removing the rule altogether, if no valid syscall remain after
|
||||||
|
+ validation."""
|
||||||
|
+
|
||||||
|
+ if line.lstrip().startswith("#") or "-S" not in line:
|
||||||
|
+ return line
|
||||||
|
+
|
||||||
|
+ # We do have a rule specifying syscalls, so let's validate them.
|
||||||
|
+ tokens = line.split()
|
||||||
|
+ processed = []
|
||||||
|
+ is_syscall = False
|
||||||
|
+ arch = None
|
||||||
|
+
|
||||||
|
+ for val in tokens:
|
||||||
|
+ if not is_syscall:
|
||||||
|
+ processed.append(val)
|
||||||
|
+
|
||||||
|
+ if val.startswith("arch="):
|
||||||
|
+ archs = val.split("=")
|
||||||
|
+ if len(archs) == 2:
|
||||||
|
+ arch = val.split("=")[1]
|
||||||
|
+ if arch not in self.machines:
|
||||||
|
+ sys.stderr.write("ERROR: unexpected arch '{0}'\n".format(arch))
|
||||||
|
+ continue
|
||||||
|
+
|
||||||
|
+ if val == "-S":
|
||||||
|
+ is_syscall = True
|
||||||
|
+ continue
|
||||||
|
+
|
||||||
|
+ if is_syscall:
|
||||||
|
+ is_syscall = False
|
||||||
|
+ scalls = self.process_syscalls(arch, val)
|
||||||
|
+
|
||||||
|
+ if len(scalls) == 0:
|
||||||
|
+ processed = processed[:-1]
|
||||||
|
+ continue
|
||||||
|
+ processed.append(scalls)
|
||||||
|
+
|
||||||
|
+ if "-S" not in processed:
|
||||||
|
+ # Removing rule altogether, as we have no valid syscalls remaining.
|
||||||
|
+ return None
|
||||||
|
+ return " ".join(processed)
|
||||||
|
+
|
||||||
|
+ def process_rules(self, rules_file):
|
||||||
|
+ """Reads a file with audit rules and returns the rules after
|
||||||
|
+ validation of syscalls/architecture. Invalid syscalls will be removed
|
||||||
|
+ and, if there are no valid remaining syscalls, the rule itself is
|
||||||
|
+ removed."""
|
||||||
|
+
|
||||||
|
+ if not os.path.isfile(rules_file):
|
||||||
|
+ sys.stderr.write("ERROR: rules file '{0}' not found\n".format(rules_file))
|
||||||
|
+ sys.exit(1)
|
||||||
|
+
|
||||||
|
+ with open(rules_file) as rules:
|
||||||
|
+ content = rules.readlines()
|
||||||
|
+
|
||||||
|
+ processed = []
|
||||||
|
+ changed = False
|
||||||
|
+ for line in content:
|
||||||
|
+ validated = self.parse_line(line)
|
||||||
|
+ if validated is None:
|
||||||
|
+ changed = True
|
||||||
|
+ continue
|
||||||
|
+
|
||||||
|
+ if validated.rstrip("\r\n") != line.rstrip("\r\n"):
|
||||||
|
+ changed = True
|
||||||
|
+ processed.append(validated.rstrip("\r\n"))
|
||||||
|
+
|
||||||
|
+ invalid_syscalls = []
|
||||||
|
+ for invalid in self.invalid_syscalls:
|
||||||
|
+ invalid_syscalls.append(invalid)
|
||||||
|
+
|
||||||
|
+ return (processed, changed, invalid_syscalls)
|
||||||
|
+
|
||||||
|
+ def update_rules(self, rules_file):
|
||||||
|
+ """Reads a file with audit rules and updates it after validation of
|
||||||
|
+ syscalls/architecture. Invalid syscalls will be removed and, if
|
||||||
|
+ there are no valid remaining syscalls, the rule itself is removed."""
|
||||||
|
+
|
||||||
|
+ new_rules, changed, invalid_syscalls = self.process_rules(rules_file)
|
||||||
|
+ if changed:
|
||||||
|
+ with open(rules_file, "w") as rules:
|
||||||
|
+ for line in new_rules:
|
||||||
|
+ rules.write("{0}\n".format(line))
|
||||||
|
+
|
||||||
|
+ return (new_rules, changed, invalid_syscalls)
|
||||||
|
+
|
||||||
|
+
|
||||||
|
+if __name__ == "__main__":
|
||||||
|
+ parser = argparse.ArgumentParser(description="ausysrulevalidate")
|
||||||
|
+ parser.add_argument(
|
||||||
|
+ "-u", "--update", help="Update rules file if required", action="store_true"
|
||||||
|
+ )
|
||||||
|
+ parser.add_argument(
|
||||||
|
+ "-v", "--verbose", help="Show the resulting rules file", action="store_true"
|
||||||
|
+ )
|
||||||
|
+ required_named = parser.add_argument_group("required named arguments")
|
||||||
|
+ required_named.add_argument(
|
||||||
|
+ "-r", "--rules-file", help="Rules file name", required=True
|
||||||
|
+ )
|
||||||
|
+ args = parser.parse_args()
|
||||||
|
+
|
||||||
|
+ validator = AuSyscallRuleValidate()
|
||||||
|
+
|
||||||
|
+ action = validator.process_rules
|
||||||
|
+ if args.update:
|
||||||
|
+ action = validator.update_rules
|
||||||
|
+
|
||||||
|
+ data, changed, invalid = action(args.rules_file)
|
||||||
|
+ if changed:
|
||||||
|
+ verb = "require"
|
||||||
|
+ if args.update:
|
||||||
|
+ verb += "d"
|
||||||
|
+ sys.stderr.write("Rules in '{0}' {1} changes\n".format(args.rules_file, verb))
|
||||||
|
+ if len(invalid) > 0:
|
||||||
|
+ sys.stderr.write("Invalid syscalls: {0}\n".format(", ".join(invalid)))
|
||||||
|
+
|
||||||
|
+ if args.verbose:
|
||||||
|
+ print(*data, sep="\n")
|
||||||
|
--
|
||||||
|
2.31.1
|
||||||
|
|
34
SOURCES/0002-audit-3.0.6-time.patch
Normal file
34
SOURCES/0002-audit-3.0.6-time.patch
Normal file
@ -0,0 +1,34 @@
|
|||||||
|
---
|
||||||
|
auparse/auparse.c | 2 +-
|
||||||
|
src/ausearch-lol.c | 2 +-
|
||||||
|
2 files changed, 2 insertions(+), 2 deletions(-)
|
||||||
|
|
||||||
|
diff --git a/auparse/auparse.c b/auparse/auparse.c
|
||||||
|
index cc7ba5c..75ad8e7 100644
|
||||||
|
--- a/auparse/auparse.c
|
||||||
|
+++ b/auparse/auparse.c
|
||||||
|
@@ -1202,7 +1202,7 @@ static int extract_timestamp(const char *b, au_event_t *e)
|
||||||
|
// at this point we have type=
|
||||||
|
ptr = audit_strsplit(NULL);
|
||||||
|
// strlen is for fuzzers that make invalid lines
|
||||||
|
- if (ptr && strnlen(ptr, 28) > 24) {
|
||||||
|
+ if (ptr && strnlen(ptr, 20) > 18) {
|
||||||
|
if (*(ptr+9) == '(')
|
||||||
|
ptr+=9;
|
||||||
|
else
|
||||||
|
diff --git a/src/ausearch-lol.c b/src/ausearch-lol.c
|
||||||
|
index bb596a2..4a7e5fd 100644
|
||||||
|
--- a/src/ausearch-lol.c
|
||||||
|
+++ b/src/ausearch-lol.c
|
||||||
|
@@ -194,7 +194,7 @@ static int extract_timestamp(const char *b, event *e)
|
||||||
|
// Now should be pointing to msg=
|
||||||
|
ptr = audit_strsplit(NULL);
|
||||||
|
// strlen is for fuzzers that make invalid lines
|
||||||
|
- if (ptr && strlen(ptr) > 24) {
|
||||||
|
+ if (ptr && strnlen(ptr, 20) > 18) {
|
||||||
|
if (*(ptr+9) == '(')
|
||||||
|
ptr+=9;
|
||||||
|
else
|
||||||
|
--
|
||||||
|
2.31.1
|
||||||
|
|
@ -0,0 +1,801 @@
|
|||||||
|
From a474b904deb127a766ef8c9b5ef899e5ff801346 Mon Sep 17 00:00:00 2001
|
||||||
|
From: Sergio Correia <scorreia@redhat.com>
|
||||||
|
Date: Tue, 31 Aug 2021 11:04:42 -0300
|
||||||
|
Subject: [PATCH] Carry functions file from initscripts in audit
|
||||||
|
|
||||||
|
Also update legacy service actions to use updated functions file.
|
||||||
|
---
|
||||||
|
init.d/auditd.init | 2 +-
|
||||||
|
init.d/auditd.reload | 2 +-
|
||||||
|
init.d/auditd.resume | 2 +-
|
||||||
|
init.d/auditd.rotate | 2 +-
|
||||||
|
init.d/auditd.state | 2 +-
|
||||||
|
init.d/auditd.stop | 2 +-
|
||||||
|
init.d/functions | 697 +++++++++++++++++++++++++++++++++++++++++++
|
||||||
|
7 files changed, 703 insertions(+), 6 deletions(-)
|
||||||
|
create mode 100644 init.d/functions
|
||||||
|
|
||||||
|
diff --git a/init.d/auditd.init b/init.d/auditd.init
|
||||||
|
index cfb4af8..f2150f2 100644
|
||||||
|
--- a/init.d/auditd.init
|
||||||
|
+++ b/init.d/auditd.init
|
||||||
|
@@ -29,7 +29,7 @@ PATH=/sbin:/bin:/usr/bin:/usr/sbin
|
||||||
|
prog="auditd"
|
||||||
|
|
||||||
|
# Source function library.
|
||||||
|
-. /etc/init.d/functions
|
||||||
|
+. /usr/share/audit/functions
|
||||||
|
|
||||||
|
# Allow anyone to run status
|
||||||
|
if [ "$1" = "status" ] ; then
|
||||||
|
diff --git a/init.d/auditd.reload b/init.d/auditd.reload
|
||||||
|
index 9c30295..5341a9a 100644
|
||||||
|
--- a/init.d/auditd.reload
|
||||||
|
+++ b/init.d/auditd.reload
|
||||||
|
@@ -7,7 +7,7 @@ test $(id -u) = 0 || exit 4
|
||||||
|
|
||||||
|
PATH=/sbin:/bin:/usr/bin:/usr/sbin
|
||||||
|
prog="auditd"
|
||||||
|
-. /etc/rc.d/init.d/functions
|
||||||
|
+. /usr/share/audit/functions
|
||||||
|
|
||||||
|
printf "Reconfiguring: "
|
||||||
|
/sbin/augenrules --load
|
||||||
|
diff --git a/init.d/auditd.resume b/init.d/auditd.resume
|
||||||
|
index f1d2157..01cc42d 100644
|
||||||
|
--- a/init.d/auditd.resume
|
||||||
|
+++ b/init.d/auditd.resume
|
||||||
|
@@ -7,7 +7,7 @@ test $(id -u) = 0 || exit 4
|
||||||
|
|
||||||
|
PATH=/sbin:/bin:/usr/bin:/usr/sbin
|
||||||
|
prog="auditd"
|
||||||
|
-. /etc/rc.d/init.d/functions
|
||||||
|
+. /usr/share/audit/functions
|
||||||
|
|
||||||
|
printf "Resuming logging: "
|
||||||
|
killproc $prog -USR2
|
||||||
|
diff --git a/init.d/auditd.rotate b/init.d/auditd.rotate
|
||||||
|
index 2b13cf7..94728c8 100644
|
||||||
|
--- a/init.d/auditd.rotate
|
||||||
|
+++ b/init.d/auditd.rotate
|
||||||
|
@@ -7,7 +7,7 @@ test $(id -u) = 0 || exit 4
|
||||||
|
|
||||||
|
PATH=/sbin:/bin:/usr/bin:/usr/sbin
|
||||||
|
prog="auditd"
|
||||||
|
-. /etc/rc.d/init.d/functions
|
||||||
|
+. /usr/share/audit/functions
|
||||||
|
|
||||||
|
printf "Rotating logs: "
|
||||||
|
killproc $prog -USR1
|
||||||
|
diff --git a/init.d/auditd.state b/init.d/auditd.state
|
||||||
|
index c7e291e..04bb4f5 100644
|
||||||
|
--- a/init.d/auditd.state
|
||||||
|
+++ b/init.d/auditd.state
|
||||||
|
@@ -8,7 +8,7 @@ test $(id -u) = 0 || exit 4
|
||||||
|
PATH=/sbin:/bin:/usr/bin:/usr/sbin
|
||||||
|
prog="auditd"
|
||||||
|
state_file="/var/run/auditd.state"
|
||||||
|
-. /etc/rc.d/init.d/functions
|
||||||
|
+. /usr/share/audit/functions
|
||||||
|
|
||||||
|
printf "Getting auditd internal state: "
|
||||||
|
killproc $prog -CONT
|
||||||
|
diff --git a/init.d/auditd.stop b/init.d/auditd.stop
|
||||||
|
index 7c74723..de6f264 100644
|
||||||
|
--- a/init.d/auditd.stop
|
||||||
|
+++ b/init.d/auditd.stop
|
||||||
|
@@ -7,7 +7,7 @@ test $(id -u) = 0 || exit 4
|
||||||
|
|
||||||
|
PATH=/sbin:/bin:/usr/bin:/usr/sbin
|
||||||
|
prog="auditd"
|
||||||
|
-. /etc/rc.d/init.d/functions
|
||||||
|
+. /usr/share/audit/functions
|
||||||
|
pid="$(__pids_pidof "$prog")"
|
||||||
|
|
||||||
|
printf "Stopping logging: "
|
||||||
|
diff --git a/init.d/functions b/init.d/functions
|
||||||
|
new file mode 100644
|
||||||
|
index 0000000..e557619
|
||||||
|
--- /dev/null
|
||||||
|
+++ b/init.d/functions
|
||||||
|
@@ -0,0 +1,697 @@
|
||||||
|
+# -*-Shell-script-*-
|
||||||
|
+#
|
||||||
|
+# functions This file contains functions to be used by most or all
|
||||||
|
+# shell scripts in the /etc/init.d directory.
|
||||||
|
+#
|
||||||
|
+
|
||||||
|
+TEXTDOMAIN=initscripts
|
||||||
|
+
|
||||||
|
+# Make sure umask is sane
|
||||||
|
+umask 022
|
||||||
|
+
|
||||||
|
+# Set up a default search path.
|
||||||
|
+PATH="/sbin:/usr/sbin:/bin:/usr/bin"
|
||||||
|
+export PATH
|
||||||
|
+
|
||||||
|
+if [ $PPID -ne 1 -a -z "$SYSTEMCTL_SKIP_REDIRECT" ] && \
|
||||||
|
+ [ -d /run/systemd/system ] ; then
|
||||||
|
+ case "$0" in
|
||||||
|
+ /etc/init.d/*|/etc/rc.d/init.d/*)
|
||||||
|
+ _use_systemctl=1
|
||||||
|
+ ;;
|
||||||
|
+ esac
|
||||||
|
+fi
|
||||||
|
+
|
||||||
|
+systemctl_redirect () {
|
||||||
|
+ local s
|
||||||
|
+ local prog=${1##*/}
|
||||||
|
+ local command=$2
|
||||||
|
+ local options=""
|
||||||
|
+
|
||||||
|
+ case "$command" in
|
||||||
|
+ start)
|
||||||
|
+ s=$"Starting $prog (via systemctl): "
|
||||||
|
+ ;;
|
||||||
|
+ stop)
|
||||||
|
+ s=$"Stopping $prog (via systemctl): "
|
||||||
|
+ ;;
|
||||||
|
+ reload|try-reload)
|
||||||
|
+ s=$"Reloading $prog configuration (via systemctl): "
|
||||||
|
+ ;;
|
||||||
|
+ restart|try-restart|condrestart)
|
||||||
|
+ s=$"Restarting $prog (via systemctl): "
|
||||||
|
+ ;;
|
||||||
|
+ esac
|
||||||
|
+
|
||||||
|
+ if [ -n "$SYSTEMCTL_IGNORE_DEPENDENCIES" ] ; then
|
||||||
|
+ options="--ignore-dependencies"
|
||||||
|
+ fi
|
||||||
|
+
|
||||||
|
+ if ! systemctl show "$prog.service" > /dev/null 2>&1 || \
|
||||||
|
+ systemctl show -p LoadState "$prog.service" | grep -q 'not-found' ; then
|
||||||
|
+ action $"Reloading systemd: " /bin/systemctl daemon-reload
|
||||||
|
+ fi
|
||||||
|
+
|
||||||
|
+ action "$s" /bin/systemctl $options $command "$prog.service"
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+# Get a sane screen width
|
||||||
|
+[ -z "${COLUMNS:-}" ] && COLUMNS=80
|
||||||
|
+
|
||||||
|
+# Read in our configuration
|
||||||
|
+if [ -z "${BOOTUP:-}" ]; then
|
||||||
|
+ if [ -f /etc/sysconfig/init ]; then
|
||||||
|
+ . /etc/sysconfig/init
|
||||||
|
+ else
|
||||||
|
+ # verbose ->> very (very!) old bootup look (prior to RHL-6.0?)
|
||||||
|
+ # color ->> default bootup look
|
||||||
|
+ # other ->> default bootup look without ANSI colors or positioning
|
||||||
|
+ BOOTUP=color
|
||||||
|
+ # Column to start "[ OK ]" label in:
|
||||||
|
+ RES_COL=60
|
||||||
|
+ # terminal sequence to move to that column:
|
||||||
|
+ MOVE_TO_COL="echo -en \\033[${RES_COL}G"
|
||||||
|
+ # Terminal sequence to set color to a 'success' (bright green):
|
||||||
|
+ SETCOLOR_SUCCESS="echo -en \\033[1;32m"
|
||||||
|
+ # Terminal sequence to set color to a 'failure' (bright red):
|
||||||
|
+ SETCOLOR_FAILURE="echo -en \\033[1;31m"
|
||||||
|
+ # Terminal sequence to set color to a 'warning' (bright yellow):
|
||||||
|
+ SETCOLOR_WARNING="echo -en \\033[1;33m"
|
||||||
|
+ # Terminal sequence to reset to the default color:
|
||||||
|
+ SETCOLOR_NORMAL="echo -en \\033[0;39m"
|
||||||
|
+
|
||||||
|
+ # Verbosity of logging:
|
||||||
|
+ LOGLEVEL=1
|
||||||
|
+ fi
|
||||||
|
+
|
||||||
|
+ # NOTE: /dev/ttyS* is serial console. "not a tty" is such as
|
||||||
|
+ # /dev/null associated when executed under systemd service units.
|
||||||
|
+ if LANG=C tty | grep -q -e '\(/dev/ttyS\|not a tty\)'; then
|
||||||
|
+ BOOTUP=serial
|
||||||
|
+ MOVE_TO_COL=
|
||||||
|
+ SETCOLOR_SUCCESS=
|
||||||
|
+ SETCOLOR_FAILURE=
|
||||||
|
+ SETCOLOR_WARNING=
|
||||||
|
+ SETCOLOR_NORMAL=
|
||||||
|
+ fi
|
||||||
|
+fi
|
||||||
|
+
|
||||||
|
+# Check if any of $pid (could be plural) are running
|
||||||
|
+checkpid() {
|
||||||
|
+ local i
|
||||||
|
+
|
||||||
|
+ for i in $* ; do
|
||||||
|
+ [ -d "/proc/$i" ] && return 0
|
||||||
|
+ done
|
||||||
|
+ return 1
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+__kill_pids_term_kill_checkpids() {
|
||||||
|
+ local base_stime=$1
|
||||||
|
+ shift 1
|
||||||
|
+ local pid=
|
||||||
|
+ local pids=$*
|
||||||
|
+ local remaining=
|
||||||
|
+ local stat=
|
||||||
|
+ local stime=
|
||||||
|
+
|
||||||
|
+ for pid in $pids ; do
|
||||||
|
+ [ ! -e "/proc/$pid" ] && continue
|
||||||
|
+ read -r line < "/proc/$pid/stat" 2> /dev/null
|
||||||
|
+
|
||||||
|
+ stat=($line)
|
||||||
|
+ stime=${stat[21]}
|
||||||
|
+
|
||||||
|
+ [ -n "$stime" ] && [ "$base_stime" -lt "$stime" ] && continue
|
||||||
|
+ remaining+="$pid "
|
||||||
|
+ done
|
||||||
|
+
|
||||||
|
+ echo "$remaining"
|
||||||
|
+ [ -n "$remaining" ] && return 1
|
||||||
|
+
|
||||||
|
+ return 0
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+__kill_pids_term_kill() {
|
||||||
|
+ local try=0
|
||||||
|
+ local delay=3;
|
||||||
|
+ local pid=
|
||||||
|
+ local stat=
|
||||||
|
+ local base_stime=
|
||||||
|
+
|
||||||
|
+ # We can't initialize stat & base_stime on the same line where 'local'
|
||||||
|
+ # keyword is, otherwise the sourcing of this file will fail for ksh...
|
||||||
|
+ stat=($(< /proc/self/stat))
|
||||||
|
+ base_stime=${stat[21]}
|
||||||
|
+
|
||||||
|
+ if [ "$1" = "-d" ]; then
|
||||||
|
+ delay=$2
|
||||||
|
+ shift 2
|
||||||
|
+ fi
|
||||||
|
+
|
||||||
|
+ local kill_list=$*
|
||||||
|
+
|
||||||
|
+ kill_list=$(__kill_pids_term_kill_checkpids $base_stime $kill_list)
|
||||||
|
+
|
||||||
|
+ [ -z "$kill_list" ] && return 0
|
||||||
|
+
|
||||||
|
+ kill -TERM $kill_list >/dev/null 2>&1
|
||||||
|
+ sleep 0.1
|
||||||
|
+
|
||||||
|
+ kill_list=$(__kill_pids_term_kill_checkpids $base_stime $kill_list)
|
||||||
|
+ if [ -n "$kill_list" ] ; then
|
||||||
|
+ while [ $try -lt $delay ] ; do
|
||||||
|
+ sleep 1
|
||||||
|
+ kill_list=$(__kill_pids_term_kill_checkpids $base_stime $kill_list)
|
||||||
|
+ [ -z "$kill_list" ] && break
|
||||||
|
+ let try+=1
|
||||||
|
+ done
|
||||||
|
+ if [ -n "$kill_list" ] ; then
|
||||||
|
+ kill -KILL $kill_list >/dev/null 2>&1
|
||||||
|
+ sleep 0.1
|
||||||
|
+ kill_list=$(__kill_pids_term_kill_checkpids $base_stime $kill_list)
|
||||||
|
+ fi
|
||||||
|
+ fi
|
||||||
|
+
|
||||||
|
+ [ -n "$kill_list" ] && return 1
|
||||||
|
+ return 0
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+# __proc_pids {program} [pidfile]
|
||||||
|
+# Set $pid to pids from /run* for {program}. $pid should be declared
|
||||||
|
+# local in the caller.
|
||||||
|
+# Returns LSB exit code for the 'status' action.
|
||||||
|
+__pids_var_run() {
|
||||||
|
+ local base=${1##*/}
|
||||||
|
+ local pid_file=${2:-/run/$base.pid}
|
||||||
|
+ local pid_dir=$(/usr/bin/dirname $pid_file > /dev/null)
|
||||||
|
+ local binary=$3
|
||||||
|
+
|
||||||
|
+ [ -d "$pid_dir" ] && [ ! -r "$pid_dir" ] && return 4
|
||||||
|
+
|
||||||
|
+ pid=
|
||||||
|
+ if [ -f "$pid_file" ] ; then
|
||||||
|
+ local line p
|
||||||
|
+
|
||||||
|
+ [ ! -r "$pid_file" ] && return 4 # "user had insufficient privilege"
|
||||||
|
+ while : ; do
|
||||||
|
+ read line
|
||||||
|
+ [ -z "$line" ] && break
|
||||||
|
+ for p in $line ; do
|
||||||
|
+ if [ -z "${p//[0-9]/}" ] && [ -d "/proc/$p" ] ; then
|
||||||
|
+ if [ -n "$binary" ] ; then
|
||||||
|
+ local b=$(readlink /proc/$p/exe | sed -e 's/\s*(deleted)$//')
|
||||||
|
+ [ "$b" != "$binary" ] && continue
|
||||||
|
+ fi
|
||||||
|
+ pid="$pid $p"
|
||||||
|
+ fi
|
||||||
|
+ done
|
||||||
|
+ done < "$pid_file"
|
||||||
|
+
|
||||||
|
+ if [ -n "$pid" ]; then
|
||||||
|
+ return 0
|
||||||
|
+ fi
|
||||||
|
+ return 1 # "Program is dead and /run pid file exists"
|
||||||
|
+ fi
|
||||||
|
+ return 3 # "Program is not running"
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+# Output PIDs of matching processes, found using pidof
|
||||||
|
+__pids_pidof() {
|
||||||
|
+ pidof -c -o $$ -o $PPID -o %PPID -x "$1" || \
|
||||||
|
+ pidof -c -o $$ -o $PPID -o %PPID -x "${1##*/}"
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+
|
||||||
|
+# A function to start a program.
|
||||||
|
+daemon() {
|
||||||
|
+ # Test syntax.
|
||||||
|
+ local gotbase= force= nicelevel corelimit
|
||||||
|
+ local pid base= user= nice= bg= pid_file=
|
||||||
|
+ local cgroup=
|
||||||
|
+ nicelevel=0
|
||||||
|
+ while [ "$1" != "${1##[-+]}" ]; do
|
||||||
|
+ case $1 in
|
||||||
|
+ '')
|
||||||
|
+ echo $"$0: Usage: daemon [+/-nicelevel] {program}" "[arg1]..."
|
||||||
|
+ return 1
|
||||||
|
+ ;;
|
||||||
|
+ --check)
|
||||||
|
+ base=$2
|
||||||
|
+ gotbase="yes"
|
||||||
|
+ shift 2
|
||||||
|
+ ;;
|
||||||
|
+ --check=?*)
|
||||||
|
+ base=${1#--check=}
|
||||||
|
+ gotbase="yes"
|
||||||
|
+ shift
|
||||||
|
+ ;;
|
||||||
|
+ --user)
|
||||||
|
+ user=$2
|
||||||
|
+ shift 2
|
||||||
|
+ ;;
|
||||||
|
+ --user=?*)
|
||||||
|
+ user=${1#--user=}
|
||||||
|
+ shift
|
||||||
|
+ ;;
|
||||||
|
+ --pidfile)
|
||||||
|
+ pid_file=$2
|
||||||
|
+ shift 2
|
||||||
|
+ ;;
|
||||||
|
+ --pidfile=?*)
|
||||||
|
+ pid_file=${1#--pidfile=}
|
||||||
|
+ shift
|
||||||
|
+ ;;
|
||||||
|
+ --force)
|
||||||
|
+ force="force"
|
||||||
|
+ shift
|
||||||
|
+ ;;
|
||||||
|
+ [-+][0-9]*)
|
||||||
|
+ nice="nice -n $1"
|
||||||
|
+ shift
|
||||||
|
+ ;;
|
||||||
|
+ *)
|
||||||
|
+ echo $"$0: Usage: daemon [+/-nicelevel] {program}" "[arg1]..."
|
||||||
|
+ return 1
|
||||||
|
+ ;;
|
||||||
|
+ esac
|
||||||
|
+ done
|
||||||
|
+
|
||||||
|
+ # Save basename.
|
||||||
|
+ [ -z "$gotbase" ] && base=${1##*/}
|
||||||
|
+
|
||||||
|
+ # See if it's already running. Look *only* at the pid file.
|
||||||
|
+ __pids_var_run "$base" "$pid_file"
|
||||||
|
+
|
||||||
|
+ [ -n "$pid" -a -z "$force" ] && return
|
||||||
|
+
|
||||||
|
+ # make sure it doesn't core dump anywhere unless requested
|
||||||
|
+ corelimit="ulimit -S -c ${DAEMON_COREFILE_LIMIT:-0}"
|
||||||
|
+
|
||||||
|
+ # if they set NICELEVEL in /etc/sysconfig/foo, honor it
|
||||||
|
+ [ -n "${NICELEVEL:-}" ] && nice="nice -n $NICELEVEL"
|
||||||
|
+
|
||||||
|
+ # Echo daemon
|
||||||
|
+ [ "${BOOTUP:-}" = "verbose" -a -z "${LSB:-}" ] && echo -n " $base"
|
||||||
|
+
|
||||||
|
+ # And start it up.
|
||||||
|
+ if [ -z "$user" ]; then
|
||||||
|
+ $nice /bin/bash -c "$corelimit >/dev/null 2>&1 ; $*"
|
||||||
|
+ else
|
||||||
|
+ $nice runuser -s /bin/bash $user -c "$corelimit >/dev/null 2>&1 ; $*"
|
||||||
|
+ fi
|
||||||
|
+
|
||||||
|
+ [ "$?" -eq 0 ] && success $"$base startup" || failure $"$base startup"
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+# A function to stop a program.
|
||||||
|
+killproc() {
|
||||||
|
+ local RC killlevel= base pid pid_file= delay try binary=
|
||||||
|
+
|
||||||
|
+ RC=0; delay=3; try=0
|
||||||
|
+ # Test syntax.
|
||||||
|
+ if [ "$#" -eq 0 ]; then
|
||||||
|
+ echo $"Usage: killproc [-p {pidfile} [-b {binary}]] [-d {delay}] {program} [-signal]"
|
||||||
|
+ return 1
|
||||||
|
+ fi
|
||||||
|
+ if [ "$1" = "-p" ]; then
|
||||||
|
+ pid_file=$2
|
||||||
|
+ shift 2
|
||||||
|
+ fi
|
||||||
|
+ if [ "$1" = "-b" ]; then
|
||||||
|
+ if [ -z $pid_file ]; then
|
||||||
|
+ echo $"-b option can be used only with -p"
|
||||||
|
+ echo $"Usage: killproc [-p {pidfile} [-b {binary}]] [-d {delay}] {program} [-signal]"
|
||||||
|
+ return 1
|
||||||
|
+ fi
|
||||||
|
+ binary=$2
|
||||||
|
+ shift 2
|
||||||
|
+ fi
|
||||||
|
+ if [ "$1" = "-d" ]; then
|
||||||
|
+ delay=$(echo $2 | awk -v RS=' ' -v IGNORECASE=1 '{if($1!~/^[0-9.]+[smhd]?$/) exit 1;d=$1~/s$|^[0-9.]*$/?1:$1~/m$/?60:$1~/h$/?60*60:$1~/d$/?24*60*60:-1;if(d==-1) exit 1;delay+=d*$1} END {printf("%d",delay+0.5)}')
|
||||||
|
+ if [ "$?" -eq 1 ]; then
|
||||||
|
+ echo $"Usage: killproc [-p {pidfile} [-b {binary}]] [-d {delay}] {program} [-signal]"
|
||||||
|
+ return 1
|
||||||
|
+ fi
|
||||||
|
+ shift 2
|
||||||
|
+ fi
|
||||||
|
+
|
||||||
|
+
|
||||||
|
+ # check for second arg to be kill level
|
||||||
|
+ [ -n "${2:-}" ] && killlevel=$2
|
||||||
|
+
|
||||||
|
+ # Save basename.
|
||||||
|
+ base=${1##*/}
|
||||||
|
+
|
||||||
|
+ # Find pid.
|
||||||
|
+ __pids_var_run "$1" "$pid_file" "$binary"
|
||||||
|
+ RC=$?
|
||||||
|
+ if [ -z "$pid" ]; then
|
||||||
|
+ if [ -z "$pid_file" ]; then
|
||||||
|
+ pid="$(__pids_pidof "$1")"
|
||||||
|
+ else
|
||||||
|
+ [ "$RC" = "4" ] && { failure $"$base shutdown" ; return $RC ;}
|
||||||
|
+ fi
|
||||||
|
+ fi
|
||||||
|
+
|
||||||
|
+ # Kill it.
|
||||||
|
+ if [ -n "$pid" ] ; then
|
||||||
|
+ [ "$BOOTUP" = "verbose" -a -z "${LSB:-}" ] && echo -n "$base "
|
||||||
|
+ if [ -z "$killlevel" ] ; then
|
||||||
|
+ __kill_pids_term_kill -d $delay $pid
|
||||||
|
+ RC=$?
|
||||||
|
+ [ "$RC" -eq 0 ] && success $"$base shutdown" || failure $"$base shutdown"
|
||||||
|
+ # use specified level only
|
||||||
|
+ else
|
||||||
|
+ if checkpid $pid; then
|
||||||
|
+ kill $killlevel $pid >/dev/null 2>&1
|
||||||
|
+ RC=$?
|
||||||
|
+ [ "$RC" -eq 0 ] && success $"$base $killlevel" || failure $"$base $killlevel"
|
||||||
|
+ elif [ -n "${LSB:-}" ]; then
|
||||||
|
+ RC=7 # Program is not running
|
||||||
|
+ fi
|
||||||
|
+ fi
|
||||||
|
+ else
|
||||||
|
+ if [ -n "${LSB:-}" -a -n "$killlevel" ]; then
|
||||||
|
+ RC=7 # Program is not running
|
||||||
|
+ else
|
||||||
|
+ failure $"$base shutdown"
|
||||||
|
+ RC=0
|
||||||
|
+ fi
|
||||||
|
+ fi
|
||||||
|
+
|
||||||
|
+ # Remove pid file if any.
|
||||||
|
+ if [ -z "$killlevel" ]; then
|
||||||
|
+ rm -f "${pid_file:-/run/$base.pid}"
|
||||||
|
+ fi
|
||||||
|
+ return $RC
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+# A function to find the pid of a program. Looks *only* at the pidfile
|
||||||
|
+pidfileofproc() {
|
||||||
|
+ local pid
|
||||||
|
+
|
||||||
|
+ # Test syntax.
|
||||||
|
+ if [ "$#" = 0 ] ; then
|
||||||
|
+ echo $"Usage: pidfileofproc {program}"
|
||||||
|
+ return 1
|
||||||
|
+ fi
|
||||||
|
+
|
||||||
|
+ __pids_var_run "$1"
|
||||||
|
+ [ -n "$pid" ] && echo $pid
|
||||||
|
+ return 0
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+# A function to find the pid of a program.
|
||||||
|
+pidofproc() {
|
||||||
|
+ local RC pid pid_file=
|
||||||
|
+
|
||||||
|
+ # Test syntax.
|
||||||
|
+ if [ "$#" = 0 ]; then
|
||||||
|
+ echo $"Usage: pidofproc [-p {pidfile}] {program}"
|
||||||
|
+ return 1
|
||||||
|
+ fi
|
||||||
|
+ if [ "$1" = "-p" ]; then
|
||||||
|
+ pid_file=$2
|
||||||
|
+ shift 2
|
||||||
|
+ fi
|
||||||
|
+ fail_code=3 # "Program is not running"
|
||||||
|
+
|
||||||
|
+ # First try "/run/*.pid" files
|
||||||
|
+ __pids_var_run "$1" "$pid_file"
|
||||||
|
+ RC=$?
|
||||||
|
+ if [ -n "$pid" ]; then
|
||||||
|
+ echo $pid
|
||||||
|
+ return 0
|
||||||
|
+ fi
|
||||||
|
+
|
||||||
|
+ [ -n "$pid_file" ] && return $RC
|
||||||
|
+ __pids_pidof "$1" || return $RC
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+status() {
|
||||||
|
+ local base pid lock_file= pid_file= binary=
|
||||||
|
+
|
||||||
|
+ # Test syntax.
|
||||||
|
+ if [ "$#" = 0 ] ; then
|
||||||
|
+ echo $"Usage: status [-p {pidfile}] [-l {lockfile}] [-b {binary}] {program}"
|
||||||
|
+ return 1
|
||||||
|
+ fi
|
||||||
|
+ if [ "$1" = "-p" ]; then
|
||||||
|
+ pid_file=$2
|
||||||
|
+ shift 2
|
||||||
|
+ fi
|
||||||
|
+ if [ "$1" = "-l" ]; then
|
||||||
|
+ lock_file=$2
|
||||||
|
+ shift 2
|
||||||
|
+ fi
|
||||||
|
+ if [ "$1" = "-b" ]; then
|
||||||
|
+ if [ -z $pid_file ]; then
|
||||||
|
+ echo $"-b option can be used only with -p"
|
||||||
|
+ echo $"Usage: status [-p {pidfile}] [-l {lockfile}] [-b {binary}] {program}"
|
||||||
|
+ return 1
|
||||||
|
+ fi
|
||||||
|
+ binary=$2
|
||||||
|
+ shift 2
|
||||||
|
+ fi
|
||||||
|
+ base=${1##*/}
|
||||||
|
+
|
||||||
|
+ if [ "$_use_systemctl" = "1" ]; then
|
||||||
|
+ systemctl status ${0##*/}.service
|
||||||
|
+ ret=$?
|
||||||
|
+ # LSB daemons that dies abnormally in systemd looks alive in systemd's eyes due to RemainAfterExit=yes
|
||||||
|
+ # lets adjust the reality a little bit
|
||||||
|
+ if systemctl show -p ActiveState ${0##*/}.service | grep -q '=active$' && \
|
||||||
|
+ systemctl show -p SubState ${0##*/}.service | grep -q '=exited$' ; then
|
||||||
|
+ ret=3
|
||||||
|
+ fi
|
||||||
|
+ return $ret
|
||||||
|
+ fi
|
||||||
|
+
|
||||||
|
+ # First try "pidof"
|
||||||
|
+ __pids_var_run "$1" "$pid_file" "$binary"
|
||||||
|
+ RC=$?
|
||||||
|
+ if [ -z "$pid_file" -a -z "$pid" ]; then
|
||||||
|
+ pid="$(__pids_pidof "$1")"
|
||||||
|
+ fi
|
||||||
|
+ if [ -n "$pid" ]; then
|
||||||
|
+ echo $"${base} (pid $pid) is running..."
|
||||||
|
+ return 0
|
||||||
|
+ fi
|
||||||
|
+
|
||||||
|
+ case "$RC" in
|
||||||
|
+ 0)
|
||||||
|
+ echo $"${base} (pid $pid) is running..."
|
||||||
|
+ return 0
|
||||||
|
+ ;;
|
||||||
|
+ 1)
|
||||||
|
+ echo $"${base} dead but pid file exists"
|
||||||
|
+ return 1
|
||||||
|
+ ;;
|
||||||
|
+ 4)
|
||||||
|
+ echo $"${base} status unknown due to insufficient privileges."
|
||||||
|
+ return 4
|
||||||
|
+ ;;
|
||||||
|
+ esac
|
||||||
|
+ if [ -z "${lock_file}" ]; then
|
||||||
|
+ lock_file=${base}
|
||||||
|
+ fi
|
||||||
|
+ # See if /var/lock/subsys/${lock_file} exists
|
||||||
|
+ if [ -f /var/lock/subsys/${lock_file} ]; then
|
||||||
|
+ echo $"${base} dead but subsys locked"
|
||||||
|
+ return 2
|
||||||
|
+ fi
|
||||||
|
+ echo $"${base} is stopped"
|
||||||
|
+ return 3
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+echo_success() {
|
||||||
|
+ [ "$BOOTUP" = "color" ] && $MOVE_TO_COL
|
||||||
|
+ echo -n "["
|
||||||
|
+ [ "$BOOTUP" = "color" ] && $SETCOLOR_SUCCESS
|
||||||
|
+ echo -n $" OK "
|
||||||
|
+ [ "$BOOTUP" = "color" ] && $SETCOLOR_NORMAL
|
||||||
|
+ echo -n "]"
|
||||||
|
+ echo -ne "\r"
|
||||||
|
+ return 0
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+echo_failure() {
|
||||||
|
+ [ "$BOOTUP" = "color" ] && $MOVE_TO_COL
|
||||||
|
+ echo -n "["
|
||||||
|
+ [ "$BOOTUP" = "color" ] && $SETCOLOR_FAILURE
|
||||||
|
+ echo -n $"FAILED"
|
||||||
|
+ [ "$BOOTUP" = "color" ] && $SETCOLOR_NORMAL
|
||||||
|
+ echo -n "]"
|
||||||
|
+ echo -ne "\r"
|
||||||
|
+ return 1
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+echo_passed() {
|
||||||
|
+ [ "$BOOTUP" = "color" ] && $MOVE_TO_COL
|
||||||
|
+ echo -n "["
|
||||||
|
+ [ "$BOOTUP" = "color" ] && $SETCOLOR_WARNING
|
||||||
|
+ echo -n $"PASSED"
|
||||||
|
+ [ "$BOOTUP" = "color" ] && $SETCOLOR_NORMAL
|
||||||
|
+ echo -n "]"
|
||||||
|
+ echo -ne "\r"
|
||||||
|
+ return 1
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+echo_warning() {
|
||||||
|
+ [ "$BOOTUP" = "color" ] && $MOVE_TO_COL
|
||||||
|
+ echo -n "["
|
||||||
|
+ [ "$BOOTUP" = "color" ] && $SETCOLOR_WARNING
|
||||||
|
+ echo -n $"WARNING"
|
||||||
|
+ [ "$BOOTUP" = "color" ] && $SETCOLOR_NORMAL
|
||||||
|
+ echo -n "]"
|
||||||
|
+ echo -ne "\r"
|
||||||
|
+ return 1
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+# Inform the graphical boot of our current state
|
||||||
|
+update_boot_stage() {
|
||||||
|
+ if [ -x /bin/plymouth ]; then
|
||||||
|
+ /bin/plymouth --update="$1"
|
||||||
|
+ fi
|
||||||
|
+ return 0
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+# Log that something succeeded
|
||||||
|
+success() {
|
||||||
|
+ [ "$BOOTUP" != "verbose" -a -z "${LSB:-}" ] && echo_success
|
||||||
|
+ return 0
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+# Log that something failed
|
||||||
|
+failure() {
|
||||||
|
+ local rc=$?
|
||||||
|
+ [ "$BOOTUP" != "verbose" -a -z "${LSB:-}" ] && echo_failure
|
||||||
|
+ [ -x /bin/plymouth ] && /bin/plymouth --details
|
||||||
|
+ return $rc
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+# Log that something passed, but may have had errors. Useful for fsck
|
||||||
|
+passed() {
|
||||||
|
+ local rc=$?
|
||||||
|
+ [ "$BOOTUP" != "verbose" -a -z "${LSB:-}" ] && echo_passed
|
||||||
|
+ return $rc
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+# Log a warning
|
||||||
|
+warning() {
|
||||||
|
+ local rc=$?
|
||||||
|
+ [ "$BOOTUP" != "verbose" -a -z "${LSB:-}" ] && echo_warning
|
||||||
|
+ return $rc
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+# Run some action. Log its output.
|
||||||
|
+action() {
|
||||||
|
+ local STRING rc
|
||||||
|
+
|
||||||
|
+ STRING=$1
|
||||||
|
+ echo -n "$STRING "
|
||||||
|
+ shift
|
||||||
|
+ "$@" && success $"$STRING" || failure $"$STRING"
|
||||||
|
+ rc=$?
|
||||||
|
+ echo
|
||||||
|
+ return $rc
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+# returns OK if $1 contains $2
|
||||||
|
+strstr() {
|
||||||
|
+ [ "${1#*$2*}" = "$1" ] && return 1
|
||||||
|
+ return 0
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+# Check whether file $1 is a backup or rpm-generated file and should be ignored
|
||||||
|
+# Copy of the function is present in usr/sbin/service
|
||||||
|
+is_ignored_file() {
|
||||||
|
+ case "$1" in
|
||||||
|
+ *~ | *.bak | *.old | *.orig | *.rpmnew | *.rpmorig | *.rpmsave)
|
||||||
|
+ return 0
|
||||||
|
+ ;;
|
||||||
|
+ esac
|
||||||
|
+ return 1
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+# Convert the value ${1} of time unit ${2}-seconds into seconds:
|
||||||
|
+convert2sec() {
|
||||||
|
+ local retval=""
|
||||||
|
+
|
||||||
|
+ case "${2}" in
|
||||||
|
+ deci) retval=$(awk "BEGIN {printf \"%.1f\", ${1} / 10}") ;;
|
||||||
|
+ centi) retval=$(awk "BEGIN {printf \"%.2f\", ${1} / 100}") ;;
|
||||||
|
+ mili) retval=$(awk "BEGIN {printf \"%.3f\", ${1} / 1000}") ;;
|
||||||
|
+ micro) retval=$(awk "BEGIN {printf \"%.6f\", ${1} / 1000000}") ;;
|
||||||
|
+ nano) retval=$(awk "BEGIN {printf \"%.9f\", ${1} / 1000000000}") ;;
|
||||||
|
+ piko) retval=$(awk "BEGIN {printf \"%.12f\", ${1} / 1000000000000}") ;;
|
||||||
|
+ esac
|
||||||
|
+
|
||||||
|
+ echo "${retval}"
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+# Evaluate shvar-style booleans
|
||||||
|
+is_true() {
|
||||||
|
+ case "$1" in
|
||||||
|
+ [tT] | [yY] | [yY][eE][sS] | [oO][nN] | [tT][rR][uU][eE] | 1)
|
||||||
|
+ return 0
|
||||||
|
+ ;;
|
||||||
|
+ esac
|
||||||
|
+ return 1
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+# Evaluate shvar-style booleans
|
||||||
|
+is_false() {
|
||||||
|
+ case "$1" in
|
||||||
|
+ [fF] | [nN] | [nN][oO] | [oO][fF][fF] | [fF][aA][lL][sS][eE] | 0)
|
||||||
|
+ return 0
|
||||||
|
+ ;;
|
||||||
|
+ esac
|
||||||
|
+ return 1
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+# Apply sysctl settings, including files in /etc/sysctl.d
|
||||||
|
+apply_sysctl() {
|
||||||
|
+ if [ -x /lib/systemd/systemd-sysctl ]; then
|
||||||
|
+ /lib/systemd/systemd-sysctl
|
||||||
|
+ else
|
||||||
|
+ for file in /usr/lib/sysctl.d/*.conf ; do
|
||||||
|
+ is_ignored_file "$file" && continue
|
||||||
|
+ [ -f /run/sysctl.d/${file##*/} ] && continue
|
||||||
|
+ [ -f /etc/sysctl.d/${file##*/} ] && continue
|
||||||
|
+ test -f "$file" && sysctl -e -p "$file" >/dev/null 2>&1
|
||||||
|
+ done
|
||||||
|
+ for file in /run/sysctl.d/*.conf ; do
|
||||||
|
+ is_ignored_file "$file" && continue
|
||||||
|
+ [ -f /etc/sysctl.d/${file##*/} ] && continue
|
||||||
|
+ test -f "$file" && sysctl -e -p "$file" >/dev/null 2>&1
|
||||||
|
+ done
|
||||||
|
+ for file in /etc/sysctl.d/*.conf ; do
|
||||||
|
+ is_ignored_file "$file" && continue
|
||||||
|
+ test -f "$file" && sysctl -e -p "$file" >/dev/null 2>&1
|
||||||
|
+ done
|
||||||
|
+ sysctl -e -p /etc/sysctl.conf >/dev/null 2>&1
|
||||||
|
+ fi
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+# A sed expression to filter out the files that is_ignored_file recognizes
|
||||||
|
+__sed_discard_ignored_files='/\(~\|\.bak\|\.old\|\.orig\|\.rpmnew\|\.rpmorig\|\.rpmsave\)$/d'
|
||||||
|
+
|
||||||
|
+if [ "$_use_systemctl" = "1" ]; then
|
||||||
|
+ if [ "x$1" = xstart -o \
|
||||||
|
+ "x$1" = xstop -o \
|
||||||
|
+ "x$1" = xrestart -o \
|
||||||
|
+ "x$1" = xreload -o \
|
||||||
|
+ "x$1" = xtry-restart -o \
|
||||||
|
+ "x$1" = xforce-reload -o \
|
||||||
|
+ "x$1" = xcondrestart ] ; then
|
||||||
|
+
|
||||||
|
+ systemctl_redirect $0 $1
|
||||||
|
+ exit $?
|
||||||
|
+ fi
|
||||||
|
+fi
|
||||||
|
+
|
||||||
|
+strstr "$(cat /proc/cmdline)" "rc.debug" && set -x
|
||||||
|
+return 0
|
||||||
|
+
|
||||||
|
--
|
||||||
|
2.31.1
|
||||||
|
|
502
SOURCES/lgpl-2.1.txt
Normal file
502
SOURCES/lgpl-2.1.txt
Normal file
@ -0,0 +1,502 @@
|
|||||||
|
GNU LESSER GENERAL PUBLIC LICENSE
|
||||||
|
Version 2.1, February 1999
|
||||||
|
|
||||||
|
Copyright (C) 1991, 1999 Free Software Foundation, Inc.
|
||||||
|
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
|
||||||
|
Everyone is permitted to copy and distribute verbatim copies
|
||||||
|
of this license document, but changing it is not allowed.
|
||||||
|
|
||||||
|
[This is the first released version of the Lesser GPL. It also counts
|
||||||
|
as the successor of the GNU Library Public License, version 2, hence
|
||||||
|
the version number 2.1.]
|
||||||
|
|
||||||
|
Preamble
|
||||||
|
|
||||||
|
The licenses for most software are designed to take away your
|
||||||
|
freedom to share and change it. By contrast, the GNU General Public
|
||||||
|
Licenses are intended to guarantee your freedom to share and change
|
||||||
|
free software--to make sure the software is free for all its users.
|
||||||
|
|
||||||
|
This license, the Lesser General Public License, applies to some
|
||||||
|
specially designated software packages--typically libraries--of the
|
||||||
|
Free Software Foundation and other authors who decide to use it. You
|
||||||
|
can use it too, but we suggest you first think carefully about whether
|
||||||
|
this license or the ordinary General Public License is the better
|
||||||
|
strategy to use in any particular case, based on the explanations below.
|
||||||
|
|
||||||
|
When we speak of free software, we are referring to freedom of use,
|
||||||
|
not price. Our General Public Licenses are designed to make sure that
|
||||||
|
you have the freedom to distribute copies of free software (and charge
|
||||||
|
for this service if you wish); that you receive source code or can get
|
||||||
|
it if you want it; that you can change the software and use pieces of
|
||||||
|
it in new free programs; and that you are informed that you can do
|
||||||
|
these things.
|
||||||
|
|
||||||
|
To protect your rights, we need to make restrictions that forbid
|
||||||
|
distributors to deny you these rights or to ask you to surrender these
|
||||||
|
rights. These restrictions translate to certain responsibilities for
|
||||||
|
you if you distribute copies of the library or if you modify it.
|
||||||
|
|
||||||
|
For example, if you distribute copies of the library, whether gratis
|
||||||
|
or for a fee, you must give the recipients all the rights that we gave
|
||||||
|
you. You must make sure that they, too, receive or can get the source
|
||||||
|
code. If you link other code with the library, you must provide
|
||||||
|
complete object files to the recipients, so that they can relink them
|
||||||
|
with the library after making changes to the library and recompiling
|
||||||
|
it. And you must show them these terms so they know their rights.
|
||||||
|
|
||||||
|
We protect your rights with a two-step method: (1) we copyright the
|
||||||
|
library, and (2) we offer you this license, which gives you legal
|
||||||
|
permission to copy, distribute and/or modify the library.
|
||||||
|
|
||||||
|
To protect each distributor, we want to make it very clear that
|
||||||
|
there is no warranty for the free library. Also, if the library is
|
||||||
|
modified by someone else and passed on, the recipients should know
|
||||||
|
that what they have is not the original version, so that the original
|
||||||
|
author's reputation will not be affected by problems that might be
|
||||||
|
introduced by others.
|
||||||
|
|
||||||
|
Finally, software patents pose a constant threat to the existence of
|
||||||
|
any free program. We wish to make sure that a company cannot
|
||||||
|
effectively restrict the users of a free program by obtaining a
|
||||||
|
restrictive license from a patent holder. Therefore, we insist that
|
||||||
|
any patent license obtained for a version of the library must be
|
||||||
|
consistent with the full freedom of use specified in this license.
|
||||||
|
|
||||||
|
Most GNU software, including some libraries, is covered by the
|
||||||
|
ordinary GNU General Public License. This license, the GNU Lesser
|
||||||
|
General Public License, applies to certain designated libraries, and
|
||||||
|
is quite different from the ordinary General Public License. We use
|
||||||
|
this license for certain libraries in order to permit linking those
|
||||||
|
libraries into non-free programs.
|
||||||
|
|
||||||
|
When a program is linked with a library, whether statically or using
|
||||||
|
a shared library, the combination of the two is legally speaking a
|
||||||
|
combined work, a derivative of the original library. The ordinary
|
||||||
|
General Public License therefore permits such linking only if the
|
||||||
|
entire combination fits its criteria of freedom. The Lesser General
|
||||||
|
Public License permits more lax criteria for linking other code with
|
||||||
|
the library.
|
||||||
|
|
||||||
|
We call this license the "Lesser" General Public License because it
|
||||||
|
does Less to protect the user's freedom than the ordinary General
|
||||||
|
Public License. It also provides other free software developers Less
|
||||||
|
of an advantage over competing non-free programs. These disadvantages
|
||||||
|
are the reason we use the ordinary General Public License for many
|
||||||
|
libraries. However, the Lesser license provides advantages in certain
|
||||||
|
special circumstances.
|
||||||
|
|
||||||
|
For example, on rare occasions, there may be a special need to
|
||||||
|
encourage the widest possible use of a certain library, so that it becomes
|
||||||
|
a de-facto standard. To achieve this, non-free programs must be
|
||||||
|
allowed to use the library. A more frequent case is that a free
|
||||||
|
library does the same job as widely used non-free libraries. In this
|
||||||
|
case, there is little to gain by limiting the free library to free
|
||||||
|
software only, so we use the Lesser General Public License.
|
||||||
|
|
||||||
|
In other cases, permission to use a particular library in non-free
|
||||||
|
programs enables a greater number of people to use a large body of
|
||||||
|
free software. For example, permission to use the GNU C Library in
|
||||||
|
non-free programs enables many more people to use the whole GNU
|
||||||
|
operating system, as well as its variant, the GNU/Linux operating
|
||||||
|
system.
|
||||||
|
|
||||||
|
Although the Lesser General Public License is Less protective of the
|
||||||
|
users' freedom, it does ensure that the user of a program that is
|
||||||
|
linked with the Library has the freedom and the wherewithal to run
|
||||||
|
that program using a modified version of the Library.
|
||||||
|
|
||||||
|
The precise terms and conditions for copying, distribution and
|
||||||
|
modification follow. Pay close attention to the difference between a
|
||||||
|
"work based on the library" and a "work that uses the library". The
|
||||||
|
former contains code derived from the library, whereas the latter must
|
||||||
|
be combined with the library in order to run.
|
||||||
|
|
||||||
|
GNU LESSER GENERAL PUBLIC LICENSE
|
||||||
|
TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
|
||||||
|
|
||||||
|
0. This License Agreement applies to any software library or other
|
||||||
|
program which contains a notice placed by the copyright holder or
|
||||||
|
other authorized party saying it may be distributed under the terms of
|
||||||
|
this Lesser General Public License (also called "this License").
|
||||||
|
Each licensee is addressed as "you".
|
||||||
|
|
||||||
|
A "library" means a collection of software functions and/or data
|
||||||
|
prepared so as to be conveniently linked with application programs
|
||||||
|
(which use some of those functions and data) to form executables.
|
||||||
|
|
||||||
|
The "Library", below, refers to any such software library or work
|
||||||
|
which has been distributed under these terms. A "work based on the
|
||||||
|
Library" means either the Library or any derivative work under
|
||||||
|
copyright law: that is to say, a work containing the Library or a
|
||||||
|
portion of it, either verbatim or with modifications and/or translated
|
||||||
|
straightforwardly into another language. (Hereinafter, translation is
|
||||||
|
included without limitation in the term "modification".)
|
||||||
|
|
||||||
|
"Source code" for a work means the preferred form of the work for
|
||||||
|
making modifications to it. For a library, complete source code means
|
||||||
|
all the source code for all modules it contains, plus any associated
|
||||||
|
interface definition files, plus the scripts used to control compilation
|
||||||
|
and installation of the library.
|
||||||
|
|
||||||
|
Activities other than copying, distribution and modification are not
|
||||||
|
covered by this License; they are outside its scope. The act of
|
||||||
|
running a program using the Library is not restricted, and output from
|
||||||
|
such a program is covered only if its contents constitute a work based
|
||||||
|
on the Library (independent of the use of the Library in a tool for
|
||||||
|
writing it). Whether that is true depends on what the Library does
|
||||||
|
and what the program that uses the Library does.
|
||||||
|
|
||||||
|
1. You may copy and distribute verbatim copies of the Library's
|
||||||
|
complete source code as you receive it, in any medium, provided that
|
||||||
|
you conspicuously and appropriately publish on each copy an
|
||||||
|
appropriate copyright notice and disclaimer of warranty; keep intact
|
||||||
|
all the notices that refer to this License and to the absence of any
|
||||||
|
warranty; and distribute a copy of this License along with the
|
||||||
|
Library.
|
||||||
|
|
||||||
|
You may charge a fee for the physical act of transferring a copy,
|
||||||
|
and you may at your option offer warranty protection in exchange for a
|
||||||
|
fee.
|
||||||
|
|
||||||
|
2. You may modify your copy or copies of the Library or any portion
|
||||||
|
of it, thus forming a work based on the Library, and copy and
|
||||||
|
distribute such modifications or work under the terms of Section 1
|
||||||
|
above, provided that you also meet all of these conditions:
|
||||||
|
|
||||||
|
a) The modified work must itself be a software library.
|
||||||
|
|
||||||
|
b) You must cause the files modified to carry prominent notices
|
||||||
|
stating that you changed the files and the date of any change.
|
||||||
|
|
||||||
|
c) You must cause the whole of the work to be licensed at no
|
||||||
|
charge to all third parties under the terms of this License.
|
||||||
|
|
||||||
|
d) If a facility in the modified Library refers to a function or a
|
||||||
|
table of data to be supplied by an application program that uses
|
||||||
|
the facility, other than as an argument passed when the facility
|
||||||
|
is invoked, then you must make a good faith effort to ensure that,
|
||||||
|
in the event an application does not supply such function or
|
||||||
|
table, the facility still operates, and performs whatever part of
|
||||||
|
its purpose remains meaningful.
|
||||||
|
|
||||||
|
(For example, a function in a library to compute square roots has
|
||||||
|
a purpose that is entirely well-defined independent of the
|
||||||
|
application. Therefore, Subsection 2d requires that any
|
||||||
|
application-supplied function or table used by this function must
|
||||||
|
be optional: if the application does not supply it, the square
|
||||||
|
root function must still compute square roots.)
|
||||||
|
|
||||||
|
These requirements apply to the modified work as a whole. If
|
||||||
|
identifiable sections of that work are not derived from the Library,
|
||||||
|
and can be reasonably considered independent and separate works in
|
||||||
|
themselves, then this License, and its terms, do not apply to those
|
||||||
|
sections when you distribute them as separate works. But when you
|
||||||
|
distribute the same sections as part of a whole which is a work based
|
||||||
|
on the Library, the distribution of the whole must be on the terms of
|
||||||
|
this License, whose permissions for other licensees extend to the
|
||||||
|
entire whole, and thus to each and every part regardless of who wrote
|
||||||
|
it.
|
||||||
|
|
||||||
|
Thus, it is not the intent of this section to claim rights or contest
|
||||||
|
your rights to work written entirely by you; rather, the intent is to
|
||||||
|
exercise the right to control the distribution of derivative or
|
||||||
|
collective works based on the Library.
|
||||||
|
|
||||||
|
In addition, mere aggregation of another work not based on the Library
|
||||||
|
with the Library (or with a work based on the Library) on a volume of
|
||||||
|
a storage or distribution medium does not bring the other work under
|
||||||
|
the scope of this License.
|
||||||
|
|
||||||
|
3. You may opt to apply the terms of the ordinary GNU General Public
|
||||||
|
License instead of this License to a given copy of the Library. To do
|
||||||
|
this, you must alter all the notices that refer to this License, so
|
||||||
|
that they refer to the ordinary GNU General Public License, version 2,
|
||||||
|
instead of to this License. (If a newer version than version 2 of the
|
||||||
|
ordinary GNU General Public License has appeared, then you can specify
|
||||||
|
that version instead if you wish.) Do not make any other change in
|
||||||
|
these notices.
|
||||||
|
|
||||||
|
Once this change is made in a given copy, it is irreversible for
|
||||||
|
that copy, so the ordinary GNU General Public License applies to all
|
||||||
|
subsequent copies and derivative works made from that copy.
|
||||||
|
|
||||||
|
This option is useful when you wish to copy part of the code of
|
||||||
|
the Library into a program that is not a library.
|
||||||
|
|
||||||
|
4. You may copy and distribute the Library (or a portion or
|
||||||
|
derivative of it, under Section 2) in object code or executable form
|
||||||
|
under the terms of Sections 1 and 2 above provided that you accompany
|
||||||
|
it with the complete corresponding machine-readable source code, which
|
||||||
|
must be distributed under the terms of Sections 1 and 2 above on a
|
||||||
|
medium customarily used for software interchange.
|
||||||
|
|
||||||
|
If distribution of object code is made by offering access to copy
|
||||||
|
from a designated place, then offering equivalent access to copy the
|
||||||
|
source code from the same place satisfies the requirement to
|
||||||
|
distribute the source code, even though third parties are not
|
||||||
|
compelled to copy the source along with the object code.
|
||||||
|
|
||||||
|
5. A program that contains no derivative of any portion of the
|
||||||
|
Library, but is designed to work with the Library by being compiled or
|
||||||
|
linked with it, is called a "work that uses the Library". Such a
|
||||||
|
work, in isolation, is not a derivative work of the Library, and
|
||||||
|
therefore falls outside the scope of this License.
|
||||||
|
|
||||||
|
However, linking a "work that uses the Library" with the Library
|
||||||
|
creates an executable that is a derivative of the Library (because it
|
||||||
|
contains portions of the Library), rather than a "work that uses the
|
||||||
|
library". The executable is therefore covered by this License.
|
||||||
|
Section 6 states terms for distribution of such executables.
|
||||||
|
|
||||||
|
When a "work that uses the Library" uses material from a header file
|
||||||
|
that is part of the Library, the object code for the work may be a
|
||||||
|
derivative work of the Library even though the source code is not.
|
||||||
|
Whether this is true is especially significant if the work can be
|
||||||
|
linked without the Library, or if the work is itself a library. The
|
||||||
|
threshold for this to be true is not precisely defined by law.
|
||||||
|
|
||||||
|
If such an object file uses only numerical parameters, data
|
||||||
|
structure layouts and accessors, and small macros and small inline
|
||||||
|
functions (ten lines or less in length), then the use of the object
|
||||||
|
file is unrestricted, regardless of whether it is legally a derivative
|
||||||
|
work. (Executables containing this object code plus portions of the
|
||||||
|
Library will still fall under Section 6.)
|
||||||
|
|
||||||
|
Otherwise, if the work is a derivative of the Library, you may
|
||||||
|
distribute the object code for the work under the terms of Section 6.
|
||||||
|
Any executables containing that work also fall under Section 6,
|
||||||
|
whether or not they are linked directly with the Library itself.
|
||||||
|
|
||||||
|
6. As an exception to the Sections above, you may also combine or
|
||||||
|
link a "work that uses the Library" with the Library to produce a
|
||||||
|
work containing portions of the Library, and distribute that work
|
||||||
|
under terms of your choice, provided that the terms permit
|
||||||
|
modification of the work for the customer's own use and reverse
|
||||||
|
engineering for debugging such modifications.
|
||||||
|
|
||||||
|
You must give prominent notice with each copy of the work that the
|
||||||
|
Library is used in it and that the Library and its use are covered by
|
||||||
|
this License. You must supply a copy of this License. If the work
|
||||||
|
during execution displays copyright notices, you must include the
|
||||||
|
copyright notice for the Library among them, as well as a reference
|
||||||
|
directing the user to the copy of this License. Also, you must do one
|
||||||
|
of these things:
|
||||||
|
|
||||||
|
a) Accompany the work with the complete corresponding
|
||||||
|
machine-readable source code for the Library including whatever
|
||||||
|
changes were used in the work (which must be distributed under
|
||||||
|
Sections 1 and 2 above); and, if the work is an executable linked
|
||||||
|
with the Library, with the complete machine-readable "work that
|
||||||
|
uses the Library", as object code and/or source code, so that the
|
||||||
|
user can modify the Library and then relink to produce a modified
|
||||||
|
executable containing the modified Library. (It is understood
|
||||||
|
that the user who changes the contents of definitions files in the
|
||||||
|
Library will not necessarily be able to recompile the application
|
||||||
|
to use the modified definitions.)
|
||||||
|
|
||||||
|
b) Use a suitable shared library mechanism for linking with the
|
||||||
|
Library. A suitable mechanism is one that (1) uses at run time a
|
||||||
|
copy of the library already present on the user's computer system,
|
||||||
|
rather than copying library functions into the executable, and (2)
|
||||||
|
will operate properly with a modified version of the library, if
|
||||||
|
the user installs one, as long as the modified version is
|
||||||
|
interface-compatible with the version that the work was made with.
|
||||||
|
|
||||||
|
c) Accompany the work with a written offer, valid for at
|
||||||
|
least three years, to give the same user the materials
|
||||||
|
specified in Subsection 6a, above, for a charge no more
|
||||||
|
than the cost of performing this distribution.
|
||||||
|
|
||||||
|
d) If distribution of the work is made by offering access to copy
|
||||||
|
from a designated place, offer equivalent access to copy the above
|
||||||
|
specified materials from the same place.
|
||||||
|
|
||||||
|
e) Verify that the user has already received a copy of these
|
||||||
|
materials or that you have already sent this user a copy.
|
||||||
|
|
||||||
|
For an executable, the required form of the "work that uses the
|
||||||
|
Library" must include any data and utility programs needed for
|
||||||
|
reproducing the executable from it. However, as a special exception,
|
||||||
|
the materials to be distributed need not include anything that is
|
||||||
|
normally distributed (in either source or binary form) with the major
|
||||||
|
components (compiler, kernel, and so on) of the operating system on
|
||||||
|
which the executable runs, unless that component itself accompanies
|
||||||
|
the executable.
|
||||||
|
|
||||||
|
It may happen that this requirement contradicts the license
|
||||||
|
restrictions of other proprietary libraries that do not normally
|
||||||
|
accompany the operating system. Such a contradiction means you cannot
|
||||||
|
use both them and the Library together in an executable that you
|
||||||
|
distribute.
|
||||||
|
|
||||||
|
7. You may place library facilities that are a work based on the
|
||||||
|
Library side-by-side in a single library together with other library
|
||||||
|
facilities not covered by this License, and distribute such a combined
|
||||||
|
library, provided that the separate distribution of the work based on
|
||||||
|
the Library and of the other library facilities is otherwise
|
||||||
|
permitted, and provided that you do these two things:
|
||||||
|
|
||||||
|
a) Accompany the combined library with a copy of the same work
|
||||||
|
based on the Library, uncombined with any other library
|
||||||
|
facilities. This must be distributed under the terms of the
|
||||||
|
Sections above.
|
||||||
|
|
||||||
|
b) Give prominent notice with the combined library of the fact
|
||||||
|
that part of it is a work based on the Library, and explaining
|
||||||
|
where to find the accompanying uncombined form of the same work.
|
||||||
|
|
||||||
|
8. You may not copy, modify, sublicense, link with, or distribute
|
||||||
|
the Library except as expressly provided under this License. Any
|
||||||
|
attempt otherwise to copy, modify, sublicense, link with, or
|
||||||
|
distribute the Library is void, and will automatically terminate your
|
||||||
|
rights under this License. However, parties who have received copies,
|
||||||
|
or rights, from you under this License will not have their licenses
|
||||||
|
terminated so long as such parties remain in full compliance.
|
||||||
|
|
||||||
|
9. You are not required to accept this License, since you have not
|
||||||
|
signed it. However, nothing else grants you permission to modify or
|
||||||
|
distribute the Library or its derivative works. These actions are
|
||||||
|
prohibited by law if you do not accept this License. Therefore, by
|
||||||
|
modifying or distributing the Library (or any work based on the
|
||||||
|
Library), you indicate your acceptance of this License to do so, and
|
||||||
|
all its terms and conditions for copying, distributing or modifying
|
||||||
|
the Library or works based on it.
|
||||||
|
|
||||||
|
10. Each time you redistribute the Library (or any work based on the
|
||||||
|
Library), the recipient automatically receives a license from the
|
||||||
|
original licensor to copy, distribute, link with or modify the Library
|
||||||
|
subject to these terms and conditions. You may not impose any further
|
||||||
|
restrictions on the recipients' exercise of the rights granted herein.
|
||||||
|
You are not responsible for enforcing compliance by third parties with
|
||||||
|
this License.
|
||||||
|
|
||||||
|
11. If, as a consequence of a court judgment or allegation of patent
|
||||||
|
infringement or for any other reason (not limited to patent issues),
|
||||||
|
conditions are imposed on you (whether by court order, agreement or
|
||||||
|
otherwise) that contradict the conditions of this License, they do not
|
||||||
|
excuse you from the conditions of this License. If you cannot
|
||||||
|
distribute so as to satisfy simultaneously your obligations under this
|
||||||
|
License and any other pertinent obligations, then as a consequence you
|
||||||
|
may not distribute the Library at all. For example, if a patent
|
||||||
|
license would not permit royalty-free redistribution of the Library by
|
||||||
|
all those who receive copies directly or indirectly through you, then
|
||||||
|
the only way you could satisfy both it and this License would be to
|
||||||
|
refrain entirely from distribution of the Library.
|
||||||
|
|
||||||
|
If any portion of this section is held invalid or unenforceable under any
|
||||||
|
particular circumstance, the balance of the section is intended to apply,
|
||||||
|
and the section as a whole is intended to apply in other circumstances.
|
||||||
|
|
||||||
|
It is not the purpose of this section to induce you to infringe any
|
||||||
|
patents or other property right claims or to contest validity of any
|
||||||
|
such claims; this section has the sole purpose of protecting the
|
||||||
|
integrity of the free software distribution system which is
|
||||||
|
implemented by public license practices. Many people have made
|
||||||
|
generous contributions to the wide range of software distributed
|
||||||
|
through that system in reliance on consistent application of that
|
||||||
|
system; it is up to the author/donor to decide if he or she is willing
|
||||||
|
to distribute software through any other system and a licensee cannot
|
||||||
|
impose that choice.
|
||||||
|
|
||||||
|
This section is intended to make thoroughly clear what is believed to
|
||||||
|
be a consequence of the rest of this License.
|
||||||
|
|
||||||
|
12. If the distribution and/or use of the Library is restricted in
|
||||||
|
certain countries either by patents or by copyrighted interfaces, the
|
||||||
|
original copyright holder who places the Library under this License may add
|
||||||
|
an explicit geographical distribution limitation excluding those countries,
|
||||||
|
so that distribution is permitted only in or among countries not thus
|
||||||
|
excluded. In such case, this License incorporates the limitation as if
|
||||||
|
written in the body of this License.
|
||||||
|
|
||||||
|
13. The Free Software Foundation may publish revised and/or new
|
||||||
|
versions of the Lesser General Public License from time to time.
|
||||||
|
Such new versions will be similar in spirit to the present version,
|
||||||
|
but may differ in detail to address new problems or concerns.
|
||||||
|
|
||||||
|
Each version is given a distinguishing version number. If the Library
|
||||||
|
specifies a version number of this License which applies to it and
|
||||||
|
"any later version", you have the option of following the terms and
|
||||||
|
conditions either of that version or of any later version published by
|
||||||
|
the Free Software Foundation. If the Library does not specify a
|
||||||
|
license version number, you may choose any version ever published by
|
||||||
|
the Free Software Foundation.
|
||||||
|
|
||||||
|
14. If you wish to incorporate parts of the Library into other free
|
||||||
|
programs whose distribution conditions are incompatible with these,
|
||||||
|
write to the author to ask for permission. For software which is
|
||||||
|
copyrighted by the Free Software Foundation, write to the Free
|
||||||
|
Software Foundation; we sometimes make exceptions for this. Our
|
||||||
|
decision will be guided by the two goals of preserving the free status
|
||||||
|
of all derivatives of our free software and of promoting the sharing
|
||||||
|
and reuse of software generally.
|
||||||
|
|
||||||
|
NO WARRANTY
|
||||||
|
|
||||||
|
15. BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO
|
||||||
|
WARRANTY FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW.
|
||||||
|
EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR
|
||||||
|
OTHER PARTIES PROVIDE THE LIBRARY "AS IS" WITHOUT WARRANTY OF ANY
|
||||||
|
KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE
|
||||||
|
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
|
||||||
|
PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE
|
||||||
|
LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME
|
||||||
|
THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.
|
||||||
|
|
||||||
|
16. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN
|
||||||
|
WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY
|
||||||
|
AND/OR REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU
|
||||||
|
FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR
|
||||||
|
CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE
|
||||||
|
LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING
|
||||||
|
RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A
|
||||||
|
FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF
|
||||||
|
SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH
|
||||||
|
DAMAGES.
|
||||||
|
|
||||||
|
END OF TERMS AND CONDITIONS
|
||||||
|
|
||||||
|
How to Apply These Terms to Your New Libraries
|
||||||
|
|
||||||
|
If you develop a new library, and you want it to be of the greatest
|
||||||
|
possible use to the public, we recommend making it free software that
|
||||||
|
everyone can redistribute and change. You can do so by permitting
|
||||||
|
redistribution under these terms (or, alternatively, under the terms of the
|
||||||
|
ordinary General Public License).
|
||||||
|
|
||||||
|
To apply these terms, attach the following notices to the library. It is
|
||||||
|
safest to attach them to the start of each source file to most effectively
|
||||||
|
convey the exclusion of warranty; and each file should have at least the
|
||||||
|
"copyright" line and a pointer to where the full notice is found.
|
||||||
|
|
||||||
|
<one line to give the library's name and a brief idea of what it does.>
|
||||||
|
Copyright (C) <year> <name of author>
|
||||||
|
|
||||||
|
This library is free software; you can redistribute it and/or
|
||||||
|
modify it under the terms of the GNU Lesser General Public
|
||||||
|
License as published by the Free Software Foundation; either
|
||||||
|
version 2.1 of the License, or (at your option) any later version.
|
||||||
|
|
||||||
|
This library is distributed in the hope that it will be useful,
|
||||||
|
but WITHOUT ANY WARRANTY; without even the implied warranty of
|
||||||
|
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
|
||||||
|
Lesser General Public License for more details.
|
||||||
|
|
||||||
|
You should have received a copy of the GNU Lesser General Public
|
||||||
|
License along with this library; if not, write to the Free Software
|
||||||
|
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
|
||||||
|
|
||||||
|
Also add information on how to contact you by electronic and paper mail.
|
||||||
|
|
||||||
|
You should also get your employer (if you work as a programmer) or your
|
||||||
|
school, if any, to sign a "copyright disclaimer" for the library, if
|
||||||
|
necessary. Here is a sample; alter the names:
|
||||||
|
|
||||||
|
Yoyodyne, Inc., hereby disclaims all copyright interest in the
|
||||||
|
library `Frob' (a library for tweaking knobs) written by James Random Hacker.
|
||||||
|
|
||||||
|
<signature of Ty Coon>, 1 April 1990
|
||||||
|
Ty Coon, President of Vice
|
||||||
|
|
||||||
|
That's all there is to it!
|
606
SPECS/audit.spec
Normal file
606
SPECS/audit.spec
Normal file
@ -0,0 +1,606 @@
|
|||||||
|
|
||||||
|
Summary: User space tools for kernel auditing
|
||||||
|
Name: audit
|
||||||
|
Version: 3.0.5
|
||||||
|
Release: 3%{?dist}
|
||||||
|
License: GPLv2+
|
||||||
|
URL: http://people.redhat.com/sgrubb/audit/
|
||||||
|
Source0: http://people.redhat.com/sgrubb/audit/%{name}-%{version}.tar.gz
|
||||||
|
Source1: https://www.gnu.org/licenses/lgpl-2.1.txt
|
||||||
|
|
||||||
|
Patch1: 0001-Add-ausysrulevalidate.patch
|
||||||
|
Patch2: 0002-audit-3.0.6-time.patch
|
||||||
|
Patch3: 0003-Carry-functions-file-from-initscripts-in-audit.patch
|
||||||
|
|
||||||
|
BuildRequires: make gcc swig
|
||||||
|
BuildRequires: openldap-devel
|
||||||
|
BuildRequires: krb5-devel libcap-ng-devel
|
||||||
|
BuildRequires: kernel-headers >= 2.6.29
|
||||||
|
BuildRequires: systemd
|
||||||
|
|
||||||
|
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
|
||||||
|
Requires(post): systemd coreutils
|
||||||
|
Requires(preun): systemd initscripts-service
|
||||||
|
Requires(postun): systemd coreutils initscripts-service
|
||||||
|
|
||||||
|
# Placing this here under the assumption that anything using the
|
||||||
|
# python libraries expects the system to have an audit daemon
|
||||||
|
Obsoletes: python2-audit < %{version}-%{release}
|
||||||
|
|
||||||
|
%description
|
||||||
|
The audit package contains the user space utilities for
|
||||||
|
storing and searching the audit records generated by
|
||||||
|
the audit subsystem in the Linux 2.6 and later kernels.
|
||||||
|
|
||||||
|
%package libs
|
||||||
|
Summary: Dynamic library for libaudit
|
||||||
|
License: LGPLv2+
|
||||||
|
|
||||||
|
%description libs
|
||||||
|
The audit-libs package contains the dynamic libraries needed for
|
||||||
|
applications to use the audit framework.
|
||||||
|
|
||||||
|
%package libs-devel
|
||||||
|
Summary: Header files for libaudit
|
||||||
|
License: LGPLv2+
|
||||||
|
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
|
||||||
|
Requires: kernel-headers >= 2.6.29
|
||||||
|
|
||||||
|
%description libs-devel
|
||||||
|
The audit-libs-devel package contains the header files needed for
|
||||||
|
developing applications that need to use the audit framework libraries.
|
||||||
|
|
||||||
|
%package -n python3-audit
|
||||||
|
Summary: Python3 bindings for libaudit
|
||||||
|
License: LGPLv2+
|
||||||
|
BuildRequires: python3-devel
|
||||||
|
BuildRequires: make
|
||||||
|
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
|
||||||
|
Provides: audit-libs-python3 = %{version}-%{release}
|
||||||
|
Provides: audit-libs-python3%{?_isa} = %{version}-%{release}
|
||||||
|
Obsoletes: audit-libs-python3 < %{version}-%{release}
|
||||||
|
|
||||||
|
%description -n python3-audit
|
||||||
|
The python3-audit package contains the bindings so that libaudit
|
||||||
|
and libauparse can be used by python3.
|
||||||
|
|
||||||
|
%package -n audispd-plugins
|
||||||
|
Summary: Plugins for the audit event dispatcher
|
||||||
|
License: GPLv2+
|
||||||
|
Requires: %{name}%{?_isa} = %{version}-%{release}
|
||||||
|
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
|
||||||
|
|
||||||
|
%description -n audispd-plugins
|
||||||
|
The audispd-plugins package provides plugins for the real-time
|
||||||
|
interface to the audit system, audispd. These plugins can do things
|
||||||
|
like relay events to remote machines.
|
||||||
|
|
||||||
|
%package -n audispd-plugins-zos
|
||||||
|
Summary: z/OS plugin for the audit event dispatcher
|
||||||
|
License: GPLv2+
|
||||||
|
Requires: %{name}%{?_isa} = %{version}-%{release}
|
||||||
|
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
|
||||||
|
Requires: openldap
|
||||||
|
|
||||||
|
%description -n audispd-plugins-zos
|
||||||
|
The audispd-plugins-zos package provides a plugin that will forward all
|
||||||
|
incoming audit events, as they happen, to a configured z/OS SMF (Service
|
||||||
|
Management Facility) database, through an IBM Tivoli Directory Server
|
||||||
|
(ITDS) set for Remote Audit service.
|
||||||
|
|
||||||
|
%prep
|
||||||
|
%setup -q
|
||||||
|
cp %{SOURCE1} .
|
||||||
|
%patch1 -p1
|
||||||
|
%patch2 -p1
|
||||||
|
%patch3 -p1
|
||||||
|
|
||||||
|
# Remove the ids code, its not ready
|
||||||
|
sed -i 's/ ids / /' audisp/plugins/Makefile.in
|
||||||
|
|
||||||
|
%build
|
||||||
|
%configure --with-python=no \
|
||||||
|
--with-python3=yes \
|
||||||
|
--enable-gssapi-krb5=yes --with-arm --with-aarch64 \
|
||||||
|
--with-libcap-ng=yes --enable-zos-remote \
|
||||||
|
--enable-systemd --enable-experimental
|
||||||
|
|
||||||
|
make CFLAGS="%{optflags}" %{?_smp_mflags}
|
||||||
|
|
||||||
|
%install
|
||||||
|
mkdir -p $RPM_BUILD_ROOT/{sbin,etc/audit/plugins.d,etc/audit/rules.d}
|
||||||
|
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/{man5,man8}
|
||||||
|
mkdir -p $RPM_BUILD_ROOT/%{_lib}
|
||||||
|
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/audit
|
||||||
|
mkdir -p --mode=0700 $RPM_BUILD_ROOT/%{_var}/log/audit
|
||||||
|
mkdir -p $RPM_BUILD_ROOT/%{_var}/spool/audit
|
||||||
|
mkdir -p $RPM_BUILD_ROOT/%{_datadir}
|
||||||
|
make DESTDIR=$RPM_BUILD_ROOT install
|
||||||
|
|
||||||
|
# Copy functions file.
|
||||||
|
install -m750 %{_builddir}/%{name}-%{version}/init.d/functions \
|
||||||
|
$RPM_BUILD_ROOT/%{_datadir}/%{name}/functions
|
||||||
|
|
||||||
|
# Validate sample rules shipped.
|
||||||
|
for r in $RPM_BUILD_ROOT/%{_datadir}/%{name}/sample-rules/*.rules; do
|
||||||
|
PYTHONPATH=$RPM_BUILD_ROOT/%{python3_sitearch} \
|
||||||
|
%{_builddir}/%{name}-%{version}/contrib/ausysrulevalidate \
|
||||||
|
--update --rules-file "${r}"
|
||||||
|
done
|
||||||
|
|
||||||
|
# Remove these items so they don't get picked up.
|
||||||
|
rm -f $RPM_BUILD_ROOT/%{_libdir}/libaudit.a
|
||||||
|
rm -f $RPM_BUILD_ROOT/%{_libdir}/libauparse.a
|
||||||
|
|
||||||
|
find $RPM_BUILD_ROOT -name '*.la' -delete
|
||||||
|
find $RPM_BUILD_ROOT/%{_libdir}/python%{python3_version}/site-packages -name '*.a' -delete
|
||||||
|
|
||||||
|
# On platforms with 32 & 64 bit libs, we need to coordinate the timestamp
|
||||||
|
touch -r ./audit.spec $RPM_BUILD_ROOT/etc/libaudit.conf
|
||||||
|
touch -r ./audit.spec $RPM_BUILD_ROOT/usr/share/man/man5/libaudit.conf.5.gz
|
||||||
|
|
||||||
|
%check
|
||||||
|
make check
|
||||||
|
# Get rid of make files so that they don't get packaged.
|
||||||
|
rm -f rules/Makefile*
|
||||||
|
|
||||||
|
%post
|
||||||
|
# Copy default rules into place on new installation
|
||||||
|
files=`ls /etc/audit/rules.d/ 2>/dev/null | wc -w`
|
||||||
|
if [ "$files" -eq 0 ] ; then
|
||||||
|
if [ -e %{_datadir}/%{name}/sample-rules/10-base-config.rules ] ; then
|
||||||
|
cp %{_datadir}/%{name}/sample-rules/10-base-config.rules /etc/audit/rules.d/audit.rules
|
||||||
|
else
|
||||||
|
touch /etc/audit/rules.d/audit.rules
|
||||||
|
fi
|
||||||
|
chmod 0600 /etc/audit/rules.d/audit.rules
|
||||||
|
fi
|
||||||
|
%systemd_post auditd.service
|
||||||
|
|
||||||
|
%preun
|
||||||
|
%systemd_preun auditd.service
|
||||||
|
if [ $1 -eq 0 ]; then
|
||||||
|
/sbin/service auditd stop > /dev/null 2>&1
|
||||||
|
fi
|
||||||
|
|
||||||
|
%postun
|
||||||
|
if [ $1 -ge 1 ]; then
|
||||||
|
/sbin/service auditd condrestart > /dev/null 2>&1 || :
|
||||||
|
fi
|
||||||
|
|
||||||
|
%files libs
|
||||||
|
%{!?_licensedir:%global license %%doc}
|
||||||
|
%license lgpl-2.1.txt
|
||||||
|
%{_libdir}/libaudit.so.1*
|
||||||
|
%{_libdir}/libauparse.*
|
||||||
|
%config(noreplace) %attr(640,root,root) /etc/libaudit.conf
|
||||||
|
%{_mandir}/man5/libaudit.conf.5.gz
|
||||||
|
|
||||||
|
%files libs-devel
|
||||||
|
%doc contrib/plugin
|
||||||
|
%{_libdir}/libaudit.so
|
||||||
|
%{_libdir}/libauparse.so
|
||||||
|
%{_includedir}/libaudit.h
|
||||||
|
%{_includedir}/auparse.h
|
||||||
|
%{_includedir}/auparse-defs.h
|
||||||
|
%{_datadir}/aclocal/audit.m4
|
||||||
|
%{_libdir}/pkgconfig/audit.pc
|
||||||
|
%{_libdir}/pkgconfig/auparse.pc
|
||||||
|
%{_mandir}/man3/*
|
||||||
|
|
||||||
|
%files -n python3-audit
|
||||||
|
%attr(755,root,root) %{python3_sitearch}/*
|
||||||
|
|
||||||
|
%files
|
||||||
|
%doc README ChangeLog init.d/auditd.cron
|
||||||
|
%{!?_licensedir:%global license %%doc}
|
||||||
|
%license COPYING
|
||||||
|
%attr(644,root,root) %{_datadir}/%{name}/sample-rules/*
|
||||||
|
%attr(644,root,root) %{_mandir}/man8/auditctl.8.gz
|
||||||
|
%attr(644,root,root) %{_mandir}/man8/auditd.8.gz
|
||||||
|
%attr(644,root,root) %{_mandir}/man8/aureport.8.gz
|
||||||
|
%attr(644,root,root) %{_mandir}/man8/ausearch.8.gz
|
||||||
|
%attr(644,root,root) %{_mandir}/man8/autrace.8.gz
|
||||||
|
%attr(644,root,root) %{_mandir}/man8/aulast.8.gz
|
||||||
|
%attr(644,root,root) %{_mandir}/man8/aulastlog.8.gz
|
||||||
|
%attr(644,root,root) %{_mandir}/man8/auvirt.8.gz
|
||||||
|
%attr(644,root,root) %{_mandir}/man8/augenrules.8.gz
|
||||||
|
%attr(644,root,root) %{_mandir}/man8/ausyscall.8.gz
|
||||||
|
%attr(644,root,root) %{_mandir}/man7/audit.rules.7.gz
|
||||||
|
%attr(644,root,root) %{_mandir}/man5/auditd.conf.5.gz
|
||||||
|
%attr(644,root,root) %{_mandir}/man5/ausearch-expression.5.gz
|
||||||
|
%attr(644,root,root) %{_mandir}/man5/auditd-plugins.5.gz
|
||||||
|
%attr(755,root,root) %{_sbindir}/auditctl
|
||||||
|
%attr(755,root,root) %{_sbindir}/auditd
|
||||||
|
%attr(755,root,root) %{_sbindir}/ausearch
|
||||||
|
%attr(755,root,root) %{_sbindir}/aureport
|
||||||
|
%attr(750,root,root) %{_sbindir}/autrace
|
||||||
|
%attr(755,root,root) %{_sbindir}/augenrules
|
||||||
|
%attr(755,root,root) %{_bindir}/aulast
|
||||||
|
%attr(755,root,root) %{_bindir}/aulastlog
|
||||||
|
%attr(755,root,root) %{_bindir}/ausyscall
|
||||||
|
%attr(755,root,root) %{_bindir}/auvirt
|
||||||
|
%attr(644,root,root) %{_unitdir}/auditd.service
|
||||||
|
%attr(750,root,root) %dir %{_libexecdir}/initscripts/legacy-actions/auditd
|
||||||
|
%attr(750,root,root) %{_libexecdir}/initscripts/legacy-actions/auditd/condrestart
|
||||||
|
%attr(750,root,root) %{_libexecdir}/initscripts/legacy-actions/auditd/reload
|
||||||
|
%attr(750,root,root) %{_libexecdir}/initscripts/legacy-actions/auditd/restart
|
||||||
|
%attr(750,root,root) %{_libexecdir}/initscripts/legacy-actions/auditd/resume
|
||||||
|
%attr(750,root,root) %{_libexecdir}/initscripts/legacy-actions/auditd/rotate
|
||||||
|
%attr(750,root,root) %{_libexecdir}/initscripts/legacy-actions/auditd/state
|
||||||
|
%attr(750,root,root) %{_libexecdir}/initscripts/legacy-actions/auditd/stop
|
||||||
|
%attr(750,root,root) %{_datadir}/%{name}/functions
|
||||||
|
%ghost %{_localstatedir}/run/auditd.state
|
||||||
|
%attr(-,root,-) %dir %{_var}/log/audit
|
||||||
|
%attr(750,root,root) %dir /etc/audit
|
||||||
|
%attr(750,root,root) %dir /etc/audit/rules.d
|
||||||
|
%attr(750,root,root) %dir /etc/audit/plugins.d
|
||||||
|
%config(noreplace) %attr(640,root,root) /etc/audit/auditd.conf
|
||||||
|
%ghost %config(noreplace) %attr(600,root,root) /etc/audit/rules.d/audit.rules
|
||||||
|
%ghost %config(noreplace) %attr(640,root,root) /etc/audit/audit.rules
|
||||||
|
%config(noreplace) %attr(640,root,root) /etc/audit/audit-stop.rules
|
||||||
|
%config(noreplace) %attr(640,root,root) /etc/audit/plugins.d/af_unix.conf
|
||||||
|
|
||||||
|
%files -n audispd-plugins
|
||||||
|
%config(noreplace) %attr(640,root,root) /etc/audit/audisp-remote.conf
|
||||||
|
%config(noreplace) %attr(640,root,root) /etc/audit/plugins.d/au-remote.conf
|
||||||
|
%config(noreplace) %attr(640,root,root) /etc/audit/plugins.d/syslog.conf
|
||||||
|
%config(noreplace) %attr(640,root,root) /etc/audit/audisp-statsd.conf
|
||||||
|
%config(noreplace) %attr(640,root,root) /etc/audit/plugins.d/au-statsd.conf
|
||||||
|
%attr(750,root,root) %{_sbindir}/audisp-remote
|
||||||
|
%attr(750,root,root) %{_sbindir}/audisp-syslog
|
||||||
|
%attr(750,root,root) %{_sbindir}/audisp-statsd
|
||||||
|
%attr(700,root,root) %dir %{_var}/spool/audit
|
||||||
|
%attr(644,root,root) %{_mandir}/man5/audisp-remote.conf.5.gz
|
||||||
|
%attr(644,root,root) %{_mandir}/man8/audisp-remote.8.gz
|
||||||
|
%attr(644,root,root) %{_mandir}/man8/audisp-syslog.8.gz
|
||||||
|
%attr(644,root,root) %{_mandir}/man8/audisp-statsd.8.gz
|
||||||
|
|
||||||
|
%files -n audispd-plugins-zos
|
||||||
|
%attr(644,root,root) %{_mandir}/man8/audispd-zos-remote.8.gz
|
||||||
|
%attr(644,root,root) %{_mandir}/man5/zos-remote.conf.5.gz
|
||||||
|
%config(noreplace) %attr(640,root,root) /etc/audit/plugins.d/audispd-zos-remote.conf
|
||||||
|
%config(noreplace) %attr(640,root,root) /etc/audit/zos-remote.conf
|
||||||
|
%attr(750,root,root) %{_sbindir}/audispd-zos-remote
|
||||||
|
|
||||||
|
%changelog
|
||||||
|
* Tue Aug 31 2021 Sergio Correia <scorreia@redhat.com> - 3.0.5-3
|
||||||
|
- Update dependency to initscripts-service instead of initscripts
|
||||||
|
Resolves: rhbz#1937354
|
||||||
|
|
||||||
|
* Tue Aug 17 2021 Sergio Correia <scorreia@redhat.com> - 3.0.5-2
|
||||||
|
- Fix timestamp parsing
|
||||||
|
Related: rhbz#1938680
|
||||||
|
|
||||||
|
* Mon Aug 16 2021 Sergio Correia <scorreia@redhat.com> - 3.0.5-1
|
||||||
|
- New upstream release, 3.0.5
|
||||||
|
Related: rhbz#1938680
|
||||||
|
|
||||||
|
* Mon Aug 16 2021 Sergio Correia <scorreia@redhat.com> - 3.0.2-3
|
||||||
|
- Validates the sample rules we ship
|
||||||
|
Resolves: rhbz#1985630
|
||||||
|
|
||||||
|
* Mon Aug 09 2021 Mohan Boddu <mboddu@redhat.com> - 3.0.2-2
|
||||||
|
- Rebuilt for IMA sigs, glibc 2.34, aarch64 flags
|
||||||
|
Related: rhbz#1991688
|
||||||
|
|
||||||
|
* Tue Jun 22 2021 Sergio Correia <scorreia@redhat.com> - 3.0.2-1
|
||||||
|
- New upstream release, 3.0.2.
|
||||||
|
Fix issues detected by static analyzers
|
||||||
|
Resolves: rhbz#1938680
|
||||||
|
|
||||||
|
* Mon Jun 21 2021 Sergio Correia <scorreia@redhat.com> - 3.0.1-4
|
||||||
|
- Enable default RHEL configuration
|
||||||
|
This enables syscall auditing by default.
|
||||||
|
Resolves: rhbz#1924561
|
||||||
|
|
||||||
|
* Thu Apr 15 2021 Mohan Boddu <mboddu@redhat.com> - 3.0.1-3
|
||||||
|
- Rebuilt for RHEL 9 BETA on Apr 15th 2021. Related: rhbz#1947937
|
||||||
|
|
||||||
|
* Thu Feb 18 2021 Steve Grubb <sgrubb@redhat.com> 3.0.1-2
|
||||||
|
- Add patch fixing segafult in the audisp-statsd plugin
|
||||||
|
|
||||||
|
* Fri Feb 12 2021 Steve Grubb <sgrubb@redhat.com> 3.0.1-1
|
||||||
|
- New upstream feature and bugfix release
|
||||||
|
- Enable building the audisp-statsd plugin
|
||||||
|
|
||||||
|
* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-2
|
||||||
|
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild
|
||||||
|
|
||||||
|
* Wed Dec 16 2020 Steve Grubb <sgrubb@redhat.com> 3.0-1
|
||||||
|
- New upstream feature and bugfix release
|
||||||
|
|
||||||
|
* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-0.21.20191104git1c2f876
|
||||||
|
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild
|
||||||
|
|
||||||
|
* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 3.0-0.20.20191104git1c2f876
|
||||||
|
- Rebuilt for Python 3.9
|
||||||
|
|
||||||
|
* Thu Mar 12 2020 Steve Grubb <sgrubb@redhat.com> 3.0-0.19.20191104git1c2f876
|
||||||
|
- Add Obsolete python2-audit (#1783061)
|
||||||
|
|
||||||
|
* Wed Jan 29 2020 Steve Grubb <sgrubb@redhat.com> 3.0-0.18.20191104git1c2f876
|
||||||
|
- Fix multiple definition of `event_node_list' (#1794446)
|
||||||
|
|
||||||
|
* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-0.17.20191104git1c2f876
|
||||||
|
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
|
||||||
|
|
||||||
|
* Fri Nov 22 2019 Steve Grubb <sgrubb@redhat.com> 3.0-0.16.20191104git1c2f876
|
||||||
|
- Drop python2 subpackage (#1775076)
|
||||||
|
|
||||||
|
* Mon Nov 04 2019 Steve Grubb <sgrubb@redhat.com> 3.0-0.14.20191104git1c2f876
|
||||||
|
- New upstream git snapshot prerelease
|
||||||
|
|
||||||
|
* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 3.0-0.14.20190507gitf58ec40
|
||||||
|
- Rebuilt for Python 3.8.0rc1 (#1748018)
|
||||||
|
|
||||||
|
* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 3.0-0.13.20190507gitf58ec40
|
||||||
|
- Rebuilt for Python 3.8
|
||||||
|
|
||||||
|
* Wed Jul 31 2019 Steve Grubb <sgrubb@redhat.com> 3.0-0.12.20190507gitf58ec40
|
||||||
|
- Fix 1734953 - audit: FTBFS in Fedora rawhide/f31
|
||||||
|
|
||||||
|
* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-0.11.20190507gitf58ec40
|
||||||
|
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
|
||||||
|
|
||||||
|
* Fri Jul 05 2019 Steve Grubb <sgrubb@redhat.com> 3.0-0.10.20190507gitf58ec40
|
||||||
|
- Add initscripts package to the requires (bz #1727058)
|
||||||
|
|
||||||
|
* Mon Jun 10 2019 Steve Grubb <sgrubb@redhat.com> 3.0-0.9.20190507gitf58ec40
|
||||||
|
- New upstream git snapshot prerelease which fixes several problems
|
||||||
|
- Fixed 1698130 - removing audit.rpm doesn't stop auditd
|
||||||
|
|
||||||
|
* Tue Mar 26 2019 Steve Grubb <sgrubb@redhat.com> 3.0-0.7.20190326git03e7489
|
||||||
|
- New upstream git snapshot prerelease which fixes a memory leak
|
||||||
|
|
||||||
|
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-0.6.20181218gitbdb72c0
|
||||||
|
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
|
||||||
|
|
||||||
|
* Tue Dec 18 2018 Steve Grubb <sgrubb@redhat.com> 3.0-0.5.20181218gitbdb72c0
|
||||||
|
- New upstream git snapshot prerelease
|
||||||
|
- Remove historical ldconfig scriptlet (#1644056)
|
||||||
|
|
||||||
|
* Fri Aug 31 2018 Steve Grubb <sgrubb@redhat.com> 3.0-0.4.20180831git0047a6c
|
||||||
|
- New upstream feature prerelease
|
||||||
|
|
||||||
|
* Wed Aug 08 2018 Steve Grubb <sgrubb@redhat.com> 3.0-0.2.20180808git77fbcf3
|
||||||
|
- New upstream feature prerelease
|
||||||
|
|
||||||
|
* Tue Jul 17 2018 Steve Grubb <sgrubb@redhat.com> 3.0-0.1.20180717gitacd53d1
|
||||||
|
- New upstream feature prerelease
|
||||||
|
|
||||||
|
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.4-4
|
||||||
|
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
|
||||||
|
|
||||||
|
* Wed Jul 4 2018 Peter Robinson <pbrobinson@fedoraproject.org> 2.8.4-3
|
||||||
|
- Remove unused sys V initscripts legacy bits
|
||||||
|
|
||||||
|
* Mon Jul 02 2018 Miro Hrončok <mhroncok@redhat.com> - 2.8.4-2
|
||||||
|
- Rebuilt for Python 3.7
|
||||||
|
|
||||||
|
* Tue Jun 19 2018 Steve Grubb <sgrubb@redhat.com> 2.8.4-1
|
||||||
|
- New upstream bugfix release
|
||||||
|
|
||||||
|
* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 2.8.3-4
|
||||||
|
- Rebuilt for Python 3.7
|
||||||
|
|
||||||
|
* Tue Apr 10 2018 Pete Walter <pwalter@fedoraproject.org> - 2.8.3-3
|
||||||
|
- Rename Python 2 and 3 subpackages to python2-audit and python3-audit as per guidelines
|
||||||
|
|
||||||
|
* Mon Mar 26 2018 Steve Grubb <sgrubb@redhat.com> 2.8.3-2
|
||||||
|
- Fix Obsoletion of audit-libs-python not handled properly (#1559674)
|
||||||
|
|
||||||
|
* Sat Mar 10 2018 Steve Grubb <sgrubb@redhat.com> 2.8.3-1
|
||||||
|
- New upstream bugfix release
|
||||||
|
|
||||||
|
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.2-4
|
||||||
|
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild
|
||||||
|
|
||||||
|
* Mon Feb 05 2018 Steve Grubb <sgrubb@redhat.com> 2.8.2-3
|
||||||
|
- Add a Provides audit-libs-python (#1537864)
|
||||||
|
- Remove tcp_wrappers support?
|
||||||
|
|
||||||
|
* Thu Dec 14 2017 Steve Grubb <sgrubb@redhat.com> 2.8.2-2
|
||||||
|
- Rename things from python to python2
|
||||||
|
|
||||||
|
* Thu Dec 14 2017 Steve Grubb <sgrubb@redhat.com> 2.8.2-1
|
||||||
|
- New upstream bugfix release
|
||||||
|
|
||||||
|
* Thu Oct 12 2017 Steve Grubb <sgrubb@redhat.com> 2.8.1-1
|
||||||
|
- New upstream bugfix release
|
||||||
|
|
||||||
|
* Tue Oct 10 2017 Steve Grubb <sgrubb@redhat.com> 2.8-1
|
||||||
|
- New upstream feature release
|
||||||
|
|
||||||
|
* Mon Sep 18 2017 Steve Grubb <sgrubb@redhat.com> 2.7.8-1
|
||||||
|
- New upstream bugfix release
|
||||||
|
|
||||||
|
* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.7-5
|
||||||
|
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild
|
||||||
|
|
||||||
|
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.7-4
|
||||||
|
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
|
||||||
|
|
||||||
|
* Fri Jul 14 2017 Steve Grubb <sgrubb@redhat.com> 2.7.7-3
|
||||||
|
- undo scratch build
|
||||||
|
|
||||||
|
* Fri Jun 16 2017 Steve Grubb <sgrubb@redhat.com> 2.7.7-1
|
||||||
|
- New upstream bugfix release
|
||||||
|
|
||||||
|
* Wed Apr 19 2017 Steve Grubb <sgrubb@redhat.com> 2.7.6-1
|
||||||
|
- New upstream bugfix release
|
||||||
|
|
||||||
|
* Mon Apr 10 2017 Steve Grubb <sgrubb@redhat.com> 2.7.5-1
|
||||||
|
- New upstream bugfix release
|
||||||
|
|
||||||
|
* Tue Mar 28 2017 Steve Grubb <sgrubb@redhat.com> 2.7.4-1
|
||||||
|
- New upstream feature and bugfix release
|
||||||
|
|
||||||
|
* Fri Feb 24 2017 Steve Grubb <sgrubb@redhat.com> 2.7.3-1
|
||||||
|
- New upstream feature and bugfix release
|
||||||
|
|
||||||
|
* Mon Feb 13 2017 Steve Grubb <sgrubb@redhat.com> 2.7.2-2
|
||||||
|
- Fix ausearch csv output
|
||||||
|
|
||||||
|
* Mon Feb 13 2017 Steve Grubb <sgrubb@redhat.com> 2.7.2-1
|
||||||
|
- New upstream feature and bugfix release
|
||||||
|
|
||||||
|
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.1-2
|
||||||
|
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild
|
||||||
|
|
||||||
|
* Fri Jan 13 2017 Steve Grubb <sgrubb@redhat.com> 2.7.1-1
|
||||||
|
- New upstream bugfix release
|
||||||
|
|
||||||
|
* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 2.7-2
|
||||||
|
- Rebuild for Python 3.6
|
||||||
|
|
||||||
|
* Thu Dec 15 2016 Steve Grubb <sgrubb@redhat.com> 2.7-1
|
||||||
|
- New upstream feature release
|
||||||
|
|
||||||
|
* Sun Sep 11 2016 Steve Grubb <sgrubb@redhat.com> 2.6.7-1
|
||||||
|
- New upstream bugfix release
|
||||||
|
|
||||||
|
* Mon Aug 01 2016 Steve Grubb <sgrubb@redhat.com> 2.6.6-1
|
||||||
|
- New upstream bugfix release
|
||||||
|
|
||||||
|
* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.5-3
|
||||||
|
- https://fedoraproject.org/wiki/Changes/golang1.7
|
||||||
|
|
||||||
|
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.5-2
|
||||||
|
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages
|
||||||
|
|
||||||
|
* Thu Jul 14 2016 Steve Grubb <sgrubb@redhat.com> 2.6.5-1
|
||||||
|
- New upstream bugfix release
|
||||||
|
|
||||||
|
* Fri Jul 08 2016 Steve Grubb <sgrubb@redhat.com> 2.6.4-2
|
||||||
|
- Correct size information of dispatched event
|
||||||
|
|
||||||
|
* Fri Jul 08 2016 Steve Grubb <sgrubb@redhat.com> 2.6.4-1
|
||||||
|
- New upstream bugfix release
|
||||||
|
|
||||||
|
* Tue Jul 05 2016 Steve Grubb <sgrubb@redhat.com> 2.6.3-2
|
||||||
|
- Fix sockaddr event interpretation
|
||||||
|
|
||||||
|
* Tue Jul 05 2016 Steve Grubb <sgrubb@redhat.com> 2.6.3-1
|
||||||
|
- New upstream bugfix release
|
||||||
|
|
||||||
|
* Fri Jul 01 2016 Steve Grubb <sgrubb@redhat.com> 2.6.2-1
|
||||||
|
- New upstream bugfix release
|
||||||
|
- Fixes 1351954 - prevents virtual machine from starting up in GNOME Boxes
|
||||||
|
|
||||||
|
* Tue Jun 28 2016 Steve Grubb <sgrubb@redhat.com> 2.6.1-1
|
||||||
|
- New upstream bugfix release
|
||||||
|
|
||||||
|
* Wed Jun 22 2016 Steve Grubb <sgrubb@redhat.com> 2.6-3
|
||||||
|
- New upstream release
|
||||||
|
|
||||||
|
* Fri Apr 29 2016 Steve Grubb <sgrubb@redhat.com> 2.5.2-1
|
||||||
|
- New upstream release
|
||||||
|
|
||||||
|
* Thu Apr 28 2016 Steve Grubb <sgrubb@redhat.com> 2.5.1-2
|
||||||
|
- Refactor plugins to split out zos-remote to lower dependencies
|
||||||
|
|
||||||
|
* Wed Apr 13 2016 Steve Grubb <sgrubb@redhat.com> 2.5.1-1
|
||||||
|
- New upstream release
|
||||||
|
|
||||||
|
* Fri Mar 18 2016 Steve Grubb <sgrubb@redhat.com> 2.5-4
|
||||||
|
- Fixes #1313152 - post script fails on dnf --setopt=tsflags=nodocs install
|
||||||
|
|
||||||
|
* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-3
|
||||||
|
- https://fedoraproject.org/wiki/Changes/golang1.6
|
||||||
|
|
||||||
|
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.5-2
|
||||||
|
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
|
||||||
|
|
||||||
|
* Mon Jan 11 2016 Steve Grubb <sgrubb@redhat.com> 2.5-1
|
||||||
|
- New upstream release
|
||||||
|
- Fixes #1241565 - still logs way too much
|
||||||
|
- Fixes #1238051 - audit.rules should be generated from by augenrules
|
||||||
|
|
||||||
|
* Fri Dec 18 2015 Steve Grubb <sgrubb@redhat.com> 2.4.4-1
|
||||||
|
- New upstream bugfix release
|
||||||
|
|
||||||
|
* Wed Nov 04 2015 Robert Kuska <rkuska@redhat.com> - 2.4.4-3
|
||||||
|
- Rebuilt for Python3.5 rebuild
|
||||||
|
|
||||||
|
* Wed Sep 16 2015 Peter Robinson <pbrobinson@fedoraproject.org> 2.4.4-2
|
||||||
|
- Fix FTBFS with hardened flags by using the distro CFLAGS
|
||||||
|
- Tighten deps with the _isa macro
|
||||||
|
- Use goarches macro to define supported GO architectures
|
||||||
|
- Minor cleanups
|
||||||
|
|
||||||
|
* Thu Aug 13 2015 Steve Grubb <sgrubb@redhat.com> 2.4.4-1
|
||||||
|
- New upstream bugfix release
|
||||||
|
- Fixes CVE-2015-5186 Audit: log terminal emulator escape sequences handling
|
||||||
|
|
||||||
|
* Thu Jul 16 2015 Steve Grubb <sgrubb@redhat.com> 2.4.3-1
|
||||||
|
- New upstream bugfix release
|
||||||
|
- Adds python3 support
|
||||||
|
|
||||||
|
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.2-2
|
||||||
|
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild
|
||||||
|
|
||||||
|
* Tue Apr 28 2015 Steve Grubb <sgrubb@redhat.com> 2.4.2-1
|
||||||
|
- New upstream bugfix release
|
||||||
|
|
||||||
|
* Sat Feb 21 2015 Till Maas <opensource@till.name> - 2.4.1-2
|
||||||
|
- Rebuilt for Fedora 23 Change
|
||||||
|
https://fedoraproject.org/wiki/Changes/Harden_all_packages_with_position-independent_code
|
||||||
|
|
||||||
|
* Tue Oct 28 2014 Steve Grubb <sgrubb@redhat.com> 2.4.1-1
|
||||||
|
- New upstream feature and bugfix release
|
||||||
|
|
||||||
|
* Mon Oct 06 2014 Karsten Hopp <karsten@redhat.com> 2.4-2
|
||||||
|
- bump release and rebuild for upgradepath
|
||||||
|
|
||||||
|
* Sun Aug 24 2014 Steve Grubb <sgrubb@redhat.com> 2.4-1
|
||||||
|
- New upstream feature and bugfix release
|
||||||
|
|
||||||
|
* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.8-0.3.svn20140803
|
||||||
|
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild
|
||||||
|
|
||||||
|
* Mon Aug 4 2014 Peter Robinson <pbrobinson@fedoraproject.org> 2.3.8-0.2.svn20140803
|
||||||
|
- aarch64/PPC/s390 don't have golang
|
||||||
|
|
||||||
|
* Sat Aug 02 2014 Steve Grubb <sgrubb@redhat.com> 2.3.8-0.1.svn20140803
|
||||||
|
- New upstream svn snapshot
|
||||||
|
|
||||||
|
* Tue Jul 22 2014 Steve Grubb <sgrubb@redhat.com> 2.3.7-4
|
||||||
|
- Bug 1117953 - Per fesco#1311, please disable syscall auditing by default
|
||||||
|
|
||||||
|
* Fri Jul 11 2014 Tom Callaway <spot@fedoraproject.org> - 2.3.7-3
|
||||||
|
- mark license files properly
|
||||||
|
|
||||||
|
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.7-2
|
||||||
|
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild
|
||||||
|
|
||||||
|
* Tue Jun 03 2014 Steve Grubb <sgrubb@redhat.com> 2.3.7-1
|
||||||
|
- New upstream bugfix release
|
||||||
|
|
||||||
|
* Fri Apr 11 2014 Steve Grubb <sgrubb@redhat.com> 2.3.6-1
|
||||||
|
- New upstream bugfix/enhancement release
|
||||||
|
|
||||||
|
* Mon Mar 17 2014 Steve Grubb <sgrubb@redhat.com> 2.3.5-1
|
||||||
|
- New upstream bugfix/enhancement release
|
||||||
|
|
||||||
|
* Thu Feb 27 2014 Steve Grubb <sgrubb@redhat.com> 2.3.4-1
|
||||||
|
- New upstream bugfix/enhancement release
|
||||||
|
|
||||||
|
* Thu Jan 16 2014 Steve Grubb <sgrubb@redhat.com> 2.3.3-1
|
||||||
|
- New upstream bugfix/enhancement release
|
||||||
|
|
||||||
|
* Mon Jul 29 2013 Steve Grubb <sgrubb@redhat.com> 2.3.2-1
|
||||||
|
- New upstream bugfix/enhancement release
|
||||||
|
|
||||||
|
* Fri Jun 21 2013 Steve Grubb <sgrubb@redhat.com> 2.3.1-3
|
||||||
|
- Drop prelude support
|
||||||
|
|
||||||
|
* Fri May 31 2013 Steve Grubb <sgrubb@redhat.com> 2.3.1-2
|
||||||
|
- Fix unknown lvalue in auditd.service (#969345)
|
||||||
|
|
||||||
|
* Thu May 30 2013 Steve Grubb <sgrubb@redhat.com> 2.3.1-1
|
||||||
|
- New upstream bugfix/enhancement release
|
||||||
|
|
||||||
|
* Fri May 03 2013 Steve Grubb <sgrubb@redhat.com> 2.3-2
|
||||||
|
- If no rules exist, copy shipped rules into place
|
||||||
|
|
Loading…
Reference in New Issue
Block a user